package com.ibm.oti.appletviewer;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.net.URL;
import java.net.URLClassLoader;
import java.security.*;

/**
 * A subclass of URLClassLoader which grants extra permissions to
 * loaded classes.
 *
 * @author		IBM
 * @version		initial
 */
class AppletClassLoader extends URLClassLoader {
	private Permission[] permissions;

public AppletClassLoader(URL[] urls, Permission[] perms) {
	super(urls);
	permissions = perms;
}

protected PermissionCollection getPermissions(CodeSource cs) {
	PermissionCollection pc = super.getPermissions(cs);
	for (int i = 0; i < permissions.length; i++) {
		pc.add(permissions[i]);
	}
	return pc;
}

}
