package com.ibm.oti.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.applet.AudioClip;
import java.io.IOException;
import java.net.URL;

import com.ibm.oti.awt.metal.sound.SoundPeer;

/**
 * This class provides a stand in for the audio clip support until
 * we have something going. It just silently ignores all operations
 * which are asked of it.
 *
 * @author      IBM
 * @version		initial
 */
public class AppletAudioClip implements AudioClip {
	private SoundPeer peer;

	public AppletAudioClip(URL url) {
		// If url is invalid, do not create a peer.
		try {
			url.openStream().close();
			peer = SoundPeer.getInstance(url) ;
		} catch (IOException e) {
			peer = null;
		}
	}

	/**
	 * Play this audio clip repeatedly and indefinitely.
	 *
	 * @author      IBM
	 * @version		initial
	 */
	public void loop () {
		if (peer != null) peer.loop() ;
	}

	/**
	 * Play this audio clip once from beginning to end.
	 *
	 * @author      IBM
	 * @version		initial
	 */
	public void play () {
		if (peer != null) peer.play() ;
	}

	/**
	 * If this audioclip is playing, a call to this method will cause it to
	 * immediately cease its playing.
	 *
	 *
	 * @author      IBM
	 * @version		initial
	 */
	public void stop() {
		if (peer != null) peer.stop() ;
	}

}
