package com.ibm.oti.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class KeyStrings {

	private static final String BUNDLE_NAME = "com.ibm.oti.awt.keys"; //$NON-NLS-1$

	private static ResourceBundle RESOURCE_BUNDLE = null;

	static {
		ResourceBundle resourceBundle = null;
		try {
			resourceBundle = ResourceBundle.getBundle(BUNDLE_NAME);
		} catch (Exception e) {
			e.printStackTrace();
		}
		RESOURCE_BUNDLE = resourceBundle;
	}

	private KeyStrings() {
	}

	public static String getString(String key) {
		try {
			if (RESOURCE_BUNDLE == null) {
				return null;
			}
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return null;
		}
	}
}
