package com.ibm.oti.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class MessageStrings {

	private static final String BUNDLE_NAME = "com.ibm.oti.awt.messages"; //$NON-NLS-1$

	private static ResourceBundle RESOURCE_BUNDLE = null;

	static {
		ResourceBundle resourceBundle = null;
		try {
			resourceBundle = ResourceBundle.getBundle(BUNDLE_NAME);
		} catch (Exception e) {
			e.printStackTrace();
		}
		RESOURCE_BUNDLE = resourceBundle;
	}

	private MessageStrings() {
	}

	public static String getString(String key) {
		try {
			if (RESOURCE_BUNDLE == null) {
				return '!' + key + '!';
			}
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException mre) {
			return '!' + key + '!';
		}
	}

	public static String getFormattedString(String key, Object arg) {
		return MessageFormat.format(getString(key), new Object[] { arg });
	}

	public static String getFormattedString(String key, Object[] args) {
		return MessageFormat.format(getString(key), args);
	}
}
