package com.ibm.oti.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import com.ibm.oti.awt.Util;
import com.ibm.oti.awt.metal.image.ImagePeer;

public class ByteArrayImageProducer extends AbstractImageProducer {

	byte[] fData;
	int fOffset;
	int fLength;

	public ByteArrayImageProducer(byte[] data, int offset, int length) {
		fOffset = offset;
		fLength = length;
		fData = data;

	}

	ImagePeer getImagePeer() {
		// prepare a copy of the byte array for the image peer
		byte[] peerDataArray = new byte[fLength];
		System.arraycopy(fData, fOffset, peerDataArray, 0, fLength);

		return ImagePeer.createMutableCopy(Util.getDisplay(), peerDataArray);
	}
}
