package com.ibm.oti.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2002, 2005  All Rights Reserved
 */

import java.awt.Component;
import java.awt.Graphics;
import java.awt.image.ImageObserver;
import java.util.Hashtable;

import com.ibm.oti.awt.metal.image.ImagePeer;

public interface IImageImpl {

	public static final int NOT_STARTED = 0;
	public static final int LOADING 	= 1;
	public static final int FRAME_DONE 	= 2;
	public static final int FINISHED 	= 3;
	public static final int ABORTED 	= 4;
	public static final int ERRORED 	= 5;

	ImagePeer getImagePeer();
	ImagePeer getImagePeer(ImageObserver imageObserver);
	ImagePeer getPrimitiveImagePeer();
	void setImagePeer(ImagePeer imagePeer);

	Component getComponent();
	Graphics getGraphics();

	int getStatus();
	void setStatus(int status);

	void setProperties(Hashtable properties);

	void disposeImage();

	void notifyObservers(int infoflags, int x, int y, int width, int height);
}
