package com.ibm.oti.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.awt.Image;
import java.util.Enumeration;
import java.util.Hashtable;

public class ImageCache {
	private Hashtable table;

	public ImageCache() {
		super();

		table = new Hashtable();
	}

	synchronized public Image getImage(String name) {
		return (Image) table.get(name);
	}

	synchronized public void putImage(String name, Image image) {
		table.put(name, image);
	}

	synchronized public void flush() {
		Enumeration enumeration = table.elements();

		while (enumeration.hasMoreElements()) {
			Image image = (Image) enumeration.nextElement();
			image.flush();
		}
	}
}
