package com.ibm.oti.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.awt.image.BufferedImage;

import com.ibm.oti.awt.Util;
import com.ibm.oti.awt.metal.image.ImagePeer;

// TODO need SubimageProducer class comment
public class SubimageProducer extends AbstractImageProducer {

	BufferedImage fDestinationImage;
	IImageImpl fBBDestinationImage;
	BufferedImage fSourceImage;
	IImageImpl fBBSourceImage;

	int fX;
	int fY;
	int fWidth;
	int fHeight;

	public SubimageProducer(BufferedImage destinationImage, BufferedImage sourceImage, int x, int y, int width, int height) {
		fDestinationImage= destinationImage;
		fBBDestinationImage= BufferedImageHandler.createIImageImpl(fDestinationImage);

		fSourceImage= sourceImage;
		fBBSourceImage= BufferedImageHandler.createIImageImpl(fSourceImage);

		fX= x;
		fY= y;
		fWidth= width;
		fHeight= height;
	}

	/* (non-Javadoc)
	 * @see com.ibm.oti.awt.image.AbstractImageProducer#getImagePeer()
	 */
	ImagePeer getImagePeer() {
		int[] buffer = fSourceImage.getRGB(fX, fY, fWidth, fHeight, null, 0, fWidth);
		return ImagePeer.createMutableCopy(Util.getDisplay(), fWidth, fHeight, buffer, fSourceImage.getColorModel().getPixelSize());
	}

}
