package com.ibm.oti.awt.image;
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

import java.awt.Color;
import java.awt.Component;
import java.awt.MediaTracker;
import java.awt.image.ColorModel;

import com.ibm.oti.awt.Util;
import com.ibm.oti.awt.metal.image.ImagePeer;
import com.ibm.oti.awt.metal.image.VolatileImagePeer;

/**
 * This class is supposed to create a peer for a VolatileImage.
 * presently, it only redirect and build an OffScreen Image
 */
public class VolatileImageProducer extends AbstractImageProducer {
	VolatileImagePeer imagePeer;
	ColorModel fColorModel;
	int fWidth;
	int fHeight;
	Color fFillColor;

	public VolatileImageProducer(VolatileImagePeer imagePeer, ColorModel colorModel, int width, int height) {
		super();
		this.imagePeer= imagePeer;
		this.fColorModel= colorModel;
		this.fWidth= Math.max(1,width);
		this.fHeight= Math.max(1,height);
	}

	ColorModel getColorModel(ImagePeer peer) {
		return (fColorModel != null ? fColorModel : super.getColorModel(peer));
	}

	ImagePeer getImagePeer() {
		return imagePeer;
	}

}
