package com.ibm.oti.awt.metal;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2006  All Rights Reserved
 */

import com.ibm.ugl.UGLErrorHandler;
import com.ibm.ugl.eswt.OS;

/**
 *
 */
public class PProErrorHandler implements UGLErrorHandler {

	/* (non-Javadoc)
	 * @see com.ibm.ugl.UGLErrorHandler#respond(java.lang.String, int, java.lang.String)
	 */
	public void respond(String uglFunction, int errorCode, String errorMessage) {
		if (errorCode == OS.ERROR_NOT_IMPLEMENTED) {
			throw new UnsupportedOperationException();
		} else if (errorCode == OS.ERROR_OUT_OF_MEMORY) {
			// pass on native out of memory situations, if we can
			throw new OutOfMemoryError();
		} else {
			if ("Image_NewFromFile".equals(uglFunction)) {
				// Errors from the new image constructor should be ignored
				// because the return value 0 is allowed for those API and PersonalProfile
				// signals an error loading the image by returning null not throwing an
				// exception
				return;
			}

			if ("Image_NewFromFileData".equals(uglFunction)) {
				// Errors from the new image constructor should be ignored
				// because the return value 0 is allowed for those API and PersonalProfile
				// signals an error loading the image by returning null not throwing an
				// exception
				return;
			}
			throw new RuntimeException("Unexpected native exception: " + errorMessage);
		}
	}
}
