package com.ibm.oti.awt.metal.image;
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

import java.awt.Color;
import java.awt.image.VolatileImage;

import com.ibm.oti.awt.metal.graphics.Device;
import com.ibm.ugl.eswt.OS;

public class VolatileImagePeer extends ImagePeer {

	public static VolatileImagePeer createVolatileImage(Device device, int width, int height, Color fillColor) {
		int rgb = (fillColor != null ? fillColor.getRGB() : Color.black.getRGB());
		int returnValue = OS.Image_NewFromSize(device.fPeerHandle, width, height, rgb);
		return new VolatileImagePeer(returnValue);
	}

	/**
	 * @param handle
	 */
	public VolatileImagePeer(int handle) {
		super(handle);
	}

	public boolean contentsLost() {
		return false;
	}
	public int restoreDrawing() {
		return VolatileImage.IMAGE_RESTORED;
	}

}
