package com.ibm.oti.crypto;

import java.io.IOException;

import com.ibm.j9.bluez.crypto.CL3;
import com.ibm.j9.bluez.crypto.AESCipher;

/**
 * <p>
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000, 2006  All Rights Reserved
 * </p>
 *
 * Implements the <code>Key</code> that must be used with <code>AESProvider</code>
 */
public final class AESKey extends CL3BasedKey {

	public static final int KEY_LENGTH_BYTES = 16;

	public AESKey(Provider p, byte[] key) throws IOException {
		super(p, key);
		workingKey = AESCipher.aesKey(key, 0, key.length,  KEY_LENGTH_BYTES);
	}

	public int getMinimumKeyLength() {
		return KEY_LENGTH_BYTES;
	}
}
