package com.ibm.oti.net.www.protocol.ftp;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
  * This class associates a given inputStream with a control socket.
  * This ensures the control socket Object stays live while the stream
  * is in use
  */
class FtpURLInputStream extends java.io.InputStream {

	java.io.InputStream is; //Actual input stream
	java.net.Socket controlSocket;
public FtpURLInputStream(java.io.InputStream is, java.net.Socket controlSocket) {
	this.is = is;
	this.controlSocket = controlSocket;
}

public int read () throws java.io.IOException{
	return is.read();
}

public int read(byte[] buf, int off, int nbytes) throws java.io.IOException{
	return is.read(buf, off, nbytes);
}
public synchronized void reset () throws java.io.IOException{
	is.reset();
}
public synchronized void mark (int limit) {
	is.mark(limit);
}
public boolean markSupported () {
	return is.markSupported();
}
public void close () {
try{
	is.close();
	} catch (Exception e) {}
	try{
	controlSocket.close();
	} catch (Exception e){}
}
public int available () throws java.io.IOException{
	return is.available();
}
public long skip (long sbytes) throws java.io.IOException{
	return is.skip(sbytes);
}

}
