package com.ibm.oti.net.www.protocol.http;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

import java.net.URL;
import java.net.URLConnection;
import java.io.IOException;
import java.net.URLStreamHandler;
import java.security.AccessController;
import com.ibm.oti.util.PriviAction;

/**
 * This is the handler that manages all transactions between the client and a HTTP remote server.
 *
 * @author		OTI
 * @version		initial
 */
public class Handler extends URLStreamHandler {

/**
 * Answers a connection to the HTTP server specified by this <code>URL</code>.
 *
 * @param 		u 		the URL to which the connection is pointing to
 * @return 		a connection to the resource pointed by this url.
 *
 * @thows		IOException 	if this handler fails to establish a connection
 */
protected URLConnection openConnection(URL u) throws IOException {
	return new HttpURLConnection(u, getDefaultPort());
}

/**
 * Return the default port.
 */
protected int getDefaultPort() {
	return 80;
}
}
