package com.ibm.oti.net.www.protocol.jar;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

import java.net.*;
public class Handler extends java.net.URLStreamHandler {
/**
 * Answers a connection to the jar file pointed by this <code>URL</code> in the file system
 *
 * @author		OTI
 * @version		initial
 *
 * @return java.net.URLConnection		A connection to the resource pointed by this url.
 * @param u java.net.URL				The URL to which the connection is pointing to
 *
 * @thows	IOException 	thrown if an IO error occurs when this method tries
 *								to establish connection.
 */
protected java.net.URLConnection openConnection(java.net.URL u) throws java.io.IOException {
	return new JarURLConnection(u);
}
/**
 *
 * @param url URL		the context URL
 * @param spec java.lang.String		the spec string
 * @param start int		the location to start parsing from
 * @param limit int		the location where parsing ends
 */
protected void parseURL(java.net.URL url, String spec, int start, int limit) {
	String file = url.getFile();
	if (file == null) file = "";
	if (limit > start)
		spec = spec.substring(start, limit);
	else spec = "";
	if (spec.indexOf("!/") == -1 && (file.indexOf("!/") == -1))
		// K01b6 = Cannot find !/
		throw new NullPointerException(com.ibm.oti.util.Msg.getString("K01b6"));
	if (spec.charAt(0) == '/')//File is absolute
		file = file.substring(0, file.indexOf('!') + 1) + spec;
	else
		file = file.substring(0, file.lastIndexOf('/') + 1) + spec;
	try {
		// check that the embedded url is valid
		new URL(file);
	} catch (MalformedURLException e) {
		throw new NullPointerException(e.toString());
	}
	setURL(url, "jar", "", -1, null, null, file, null, null);
}
/**
 * Build and return the externalized string representation of url.
 *
 * @author		OTI
 * @version		initial
 *
 * @return 		String	the externalized string representation of url
 * @param 		url 	a URL
 */
protected String toExternalForm(URL url)  {
	StringBuffer sb = new StringBuffer();
	sb.append("jar:");
	sb.append(url.getFile());
	String ref = url.getRef();
	if (ref != null)
		sb.append(ref);
	return sb.toString();
}
}
