package com.ibm.oti.security.permissions.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

import java.security.BasicPermission;

/**
 * AWTPermissionEx objects represent access to extended AWT
 * support.
 *
 * @author        IBM
 * @version		initial
 */
public class AWTPermissionEx extends BasicPermission {

	/**
	 * Constants for runtime permissions used in this package.
	 */
	public static final AWTPermissionEx permissionToCreateFileDialog = new AWTPermissionEx("fileDialog"); //$NON-NLS-1$

	/**
	 * Creates an instance of this class with the given name.
	 *
	 * @author        IBM
	 * @version		initial
	 *
	 * @param		name String
	 *					the name of the new permission.
	 */
	public AWTPermissionEx(String permissionName) {
		super(permissionName);
	}

	/**
	 * Creates an instance of this class with the given name and
	 * action list. The action list is ignored.
	 *
	 * @author        IBM
	 * @version		initial
	 *
	 * @param		name String
	 *					the name of the new permission.
	 * @param		actions String
	 *					ignored.
	 */
	public AWTPermissionEx(String name, String actions) {
		super(name, actions);
	}

}
