package com.ibm.oti.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2006  All Rights Reserved
 */

import java.io.*;

/**
 * A ByteArrayInputStream where the underlying byte[] is accessible.
 */
public class AccessibleByteArrayInputStream extends ByteArrayInputStream {

/**
 * Constructs a new ByteArrayInputStream on the byte array <code>buf</code>.
 *
 * @param		buf		the byte array to stream over
 */
public AccessibleByteArrayInputStream(byte[] buf) {
	super(buf);
}

/**
 * Return the underlying byte array.
 *
 * @return the byte array being streamed
 *
 * @throws SecurityException if the caller is not a bootstrap class
 */
public byte[] getByteArray() {
	if (com.ibm.oti.vm.VM.callerClassLoader() != null)
		throw new SecurityException();
	return buf;
}
}
