package com.ibm.oti.util.math;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * BigInteger objects represent arbitrary precision decimal
 * integers. They contain values that cannot be changed.
 * Thus, most operations on the BigInteger objects yield new
 * instances of BigInteger.
 *
 * @author		OTI
 * @version		initial
 */
public class BigInteger

{

	// Natives used by the implementation.
	public static native long[] addImpl(long[] source1, long[] source2);
	public static native long[] subImpl(long[] source1, long[] source2);
	public static native long[] mulImpl(long[] source1, long[] source2);
	public static native long[] divImpl(long[] source1, long[] source2);
	public static native long[] remImpl(long[] source1, long[] source2);
	public static native long[] negImpl(long[] source);
	public static native long[] shlImpl(long[] source, int shiftVal);
	public static native int compImpl(long[] source1, long[] source2);

}
