package com.ibm.oti.vm;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004  All Rights Reserved
 */

import java.security.BasicPermission;

/**
 * JxePermission objects represent permission to
 * access jxe resources.
 *
 * @author		OTI
 * @version		initial
 *
 * @see 	BasicPermission
 * @see 	SecurityManager
 */
public final class JxePermission extends BasicPermission {

/**
 * Creates an instance of this class with the given name.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name String
 *					the name of the new permission.
 */
public JxePermission(String name) {
	super(name);
}

/**
 * Creates an instance of this class with the given name and
 * action list. The action list is ignored.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name String
 *					the name of the new permission.
 * @param		actions String
 *					ignored.
 */
public JxePermission(String name, String actions) {
	super(name, actions);
}

}
