package com.ibm.oti.xlet;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2003, 2005  All Rights Reserved
 */

/**
 * XletListeners implement the messages which are
 * sent when Xlets are changed.
 *
 * @author      IBM
 * @version		initial
 */
public interface XletListener {

	/**
	 * Indicates that an Xlet was added to the XletApplicationManager.
	 *
	 * @param		xlet XletApplication
	 */
	public void xletAdded(XletApplication xlet);

	/**
	 * Indicates that an Xlet was removed from the XletApplicationManager.
	 *
	 * @param		removedXlet XletApplication
	 * @param		nextXlet XletApplication
	 * 					the next Xlet to gain focus
	 */
	public void xletRemoved(XletApplication removedXlet, XletApplication nextXlet);

	/**
	 * Indicates that a state of an Xlet has changed.
	 *
	 * @param		xlet XletApplication
	 * @param		newState XletState
	 * 					the new state of the xlet
	 */
	public void xletStateChanged(XletApplication xlet, XletState newState);
}
