package java.applet;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This interface represents a clip of audio data and minimal means to play it.
 *
 * @author		IBM
 * @version		initial
 *
 * @see Applet
 * @see AppletContext
 */
public interface AudioClip {

	/**
	 * Play this audio clip repeatedly and indefinitely.
	 *
	 * @author		IBM
	 * @version		initial
	 */
	void loop();

	/**
	 * Play this audio clip once from beginning to end.
	 *
	 * @author		IBM
	 * @version		initial
	 */
	void play();

	/**
	 * If this audioclip is playing, a call to this method will cause it to
	 * immediately cease its playing.
	 *
	 * @author		IBM
	 * @version		initial
	 */
	void stop();
}
