package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This interface should be implemented by events that are not dispatched by a source object.
 * <p>
 * The event queue detects <code>ActiveEvent</code> when
 * they are pulled of the queue and calls the event's
 * <code>dispatch()</code> method.
 *
 * @author		IBM
 * @version		initial
 */

public interface ActiveEvent {

	/**
	 * Dispatch the event.
	 *
	 * @author		IBM
	 * @version 	initial
	 *
	 * @see		EventQueue
	 */
	public void dispatch();

}
