package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * <code>Graphics2D</code> extends the Graphics class to
 * provide more powerful drawing operatings.
 *
 * @author		IBM
 * @version		initial
 *
 * @since		JDK 1.2
 */
public abstract class Graphics2D extends Graphics {

	/**
	 * Constructs a Graphics2D
	 */
	protected Graphics2D() {
		super();
	}

	/**
	 * Answer the graphics configuration for this graphics context
	 *
	 * @author	IBM
	 * @version	initial
	 *
	 * @return GraphicsConfiguration
	 */
	public abstract GraphicsConfiguration getDeviceConfiguration();

	/**
	 * Sets the composite for the receiver
	 *
	 * @author	IBM
	 * @version	initial
	 *
	 * @param comp
	 * @throws IllegalArgumentException
	 */
	public abstract void setComposite(Composite comp);

	/**
	 * Gets the receiver's composite
	 *
	 * @author	IBM
	 * @version	initial
	 *
	 * @return Composite
	 */
	public abstract Composite getComposite();

	public abstract void setStroke(Stroke stroke);

	public abstract Stroke getStroke();
}
