package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2002, 2005  All Rights Reserved
 */

import java.awt.image.BufferedImage;
import java.awt.image.ColorModel;
import java.awt.image.VolatileImage;

import com.ibm.oti.awt.image.BufferedImageHandler;

class GraphicsConfigurationImpl extends GraphicsConfiguration {

	private Rectangle bounds;
	private ColorModel colorModel;
	private GraphicsDevice device;

	static {
		ToolkitImpl.reference();
	}

	protected  GraphicsConfigurationImpl() {
		super();
	}

	protected  GraphicsConfigurationImpl(Rectangle bounds, ColorModel colorModel, GraphicsDevice device) {
		super();
		this.bounds = bounds;
		this.colorModel = colorModel;
		this.device = device;
	}

	public BufferedImage createCompatibleImage(int width, int height) {
		return BufferedImageHandler.createImage(this, width, height);
	}

	public Rectangle getBounds() {
		return bounds;
	}

	public ColorModel getColorModel() {
		return colorModel;
	}

	public GraphicsDevice getDevice() {
		return device;
	}

	public VolatileImage createCompatibleVolatileImage(int width, int height) {
		return new VolatileImageImpl(this, width, height, getImageCapabilities(), null);
	}
}
