package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2002, 2006  All Rights Reserved
 */

import com.ibm.oti.awt.*;
import com.ibm.oti.awt.image.*;

class GraphicsFactory implements IGraphicsFactory {

	/**
	 * @see com.ibm.oti.awt.IGraphicsFactory#createGraphics(java.awt.image.BufferedImage)
	 */
	public Graphics createGraphics(Component component, IImageImpl image) {
		Graphics graphics = new GraphicsACImpl(component, image);
		return graphics;
	}

	/**
	 * @see com.ibm.oti.awt.IGraphicsFactory#createGraphics(java.awt.GraphicsConfiguration, java.awt.image.BufferedImage)
	 */
	public Graphics createGraphics(GraphicsConfiguration graphicsConfiguration, IImageImpl image) {
		Graphics graphics = new GraphicsACImpl(graphicsConfiguration, image);
		return graphics;
	}
}
