package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

class LightweightGraphicsACImpl extends GraphicsACImpl {

	private Component lwComponent;
	private Rectangle lwMaxClipArea;

	LightweightGraphicsACImpl(Component heavyweight, Component lightweight) {
		super(heavyweight);
		lwComponent = lightweight;
		lwMaxClipArea = new Rectangle(0,0,lwComponent.width,lwComponent.height);

		Component temp = lightweight;
		while (temp != heavyweight) {
			translate(temp.x, temp.y);
			Rectangle updateBounds = new Rectangle(lwMaxClipArea.x + temp.x,lwMaxClipArea.y + temp.y,lwMaxClipArea.width,lwMaxClipArea.height);
			lwMaxClipArea = temp.getBounds().intersection(updateBounds);
			temp = temp.parent;
		}

		lwMaxClipArea = new Rectangle(originX,originY,lwMaxClipArea.width,lwMaxClipArea.height);
		setClipImpl(lwMaxClipArea);
		setColor(lwComponent.getForeground());
		setFont(lwComponent.getFont());
	}

	void setClipImpl(Rectangle clip) {
		if (clip == null) {
			super.setClipImpl(lwMaxClipArea);
		} else {
			super.setClipImpl(clip.intersection(lwMaxClipArea));
		}
	}

	Color getDefaultBackground() {
		if (lwComponent != null) {
			return lwComponent.getBackground();
		} else {
			return null;
		}
	}
}
