package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This interface should be implemented by all classes
 * which wish to support the adding of <code>Menu</code>
 * objects.
 *
 * @author      IBM
 * @version		initial
 */
public abstract interface MenuContainer {

	/**
	 * Answer the <code>Font</code> used by the receiver.
	 *
	 * @author      IBM
	 * @version		initial
	 *
	 * @return		a java.awt.Font
	 */
	public Font getFont();

	/**
	 * Post the event to the receiver.
	 *
	 * @author      IBM
	 * @version		initial
	 *
	 * @param		event the event to be posted
	 *
	 * @deprecated	use <code>dispatchEvent(AWTEvent)</code> instead.
	 */
	public boolean postEvent(Event event);

	/**
	 * Remove a <code>MenuComponent</code> from the receiver.
	 *
	 * @author      IBM
	 * @version		initial
	 *
	 * @param		menuComponent	the <code>MenuComponent</code> to be removed.
	 *
	 * @see			java.awt.MenuComponent
	 */
	public void remove(MenuComponent menuComponent);

}
