package java.awt;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This interface should be implemented by all classes
 * which model shapes.
 *
 * @author      IBM
 * @version		initial
 */
public abstract interface Shape {

	/**
	 * Answers the bounds for the receiver in the form of a
	 * <code>Rectangle</code>.  This means the rectangle will
	 * completely surround all of the receiver which may not
	 * be rectangular in shape.
	 *
	 * @author      IBM
	 * @version		initial
	 *
	 * @return	a java.awt.Rectangle a rectangle that contains the receiver
	 */
	Rectangle getBounds();

}
