package java.awt.datatransfer;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This interface should be implemented by all classes
 * which provide data to a clipboard and wish to be
 * notified when the clipboard contents has been
 * altered.
 */
public interface ClipboardOwner {

	/**
	 * Called when the clipboard contents has been altered and
	 * the receiver is no longer the owner of the specified
	 * clipboard.
	 *
	 * @param	clipboard	 the clipboard which is no longer owned by receiver
	 * @param	transferable the contents that the receiver stored in the clipboard
	 *
	 * @see		Clipboard
	 */
	public void lostOwnership(Clipboard clipboard, Transferable transferable);

}
