package java.awt.datatransfer;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This exception is thrown when a program tries
 * to retrieve a unsupported data flavor from a
 * <code>Transferable</code> object.
 *
 * @see			Transferable#getTransferData(DataFlavor)
 */
public class UnsupportedFlavorException extends Exception {

	static final long serialVersionUID = 5383814944251665601L;

	/**
	 * Constructs a new instance of this class with its
	 * walkback and message (based on the argument which is
	 * the unsupported flavor) filled in.
	 *
	 * @param		dataFlavor DataFlavor
	 *				The unsupported data flavor.
	 *
	 * @see			DataFlavor#getHumanPresentableName
	 */
	public UnsupportedFlavorException(DataFlavor dataFlavor) {
		super(dataFlavor == null ? "null" : dataFlavor.getHumanPresentableName()); //$NON-NLS-1$
	}

}
