package java.awt.event;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.util.EventListener;

/**
 * This interface should be implemented by all classes
 * which wish to receive action events.
 * <p>
 * When an <code>ActionListener</code> is added to a
 * <code>Component</code> using the <code>addActionListener</code>
 * method, action events occurring on that component will be
 * delivered to the action listener via the sending of the
 * <code>actionPerformed</code> method.
 */
public interface ActionListener extends EventListener {

	/**
	 * Called when an action event occurs on the actionEvent's
	 * source object.
	 *
	 * @param	actionEvent	the event that occured
	 *
	 * @see		<code>ActionEvent</code>
	 */
	public abstract void actionPerformed(ActionEvent actionEvent);

}
