package java.awt.event;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 *
 */
public abstract class FocusAdapter implements FocusListener {

	/**
	 * Constructs a new <code>FocusAdapter</code>.
	 */
	public FocusAdapter() {
	}

	/**
	 * Called when the focusEvent's source object gains keyboard focus.
	 *
	 * @param	focusEvent	the event that occured
	 *
	 * @see		<code>FocusEvent</code>
	 */
	public void focusGained(FocusEvent focusEvent) {
	}

	/**
	 * Called when the focusEvent's source object loses keyboard focus.
	 *
	 * @param	focusEvent	the event that occured
	 *
	 * @see		<code>FocusEvent</code>
	 */
	public void focusLost(FocusEvent focusEvent) {
	}

}
