package java.awt.event;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

import java.util.EventListener;

// TODO PPro 1.1 - update comment if necessary.  This was copied from old
// BBAWT code
/**
 * This interface should be implemented by all classes
 * which wish to receive input method events.  Another way to
 * listen to <code>InputMethodEvents</code> is to extend the
 * <code>InputMethodAdapter</code> class which implements this
 * interface, and override the methods of interest.
 * <p>
 * When a <code>InputMethodListener</code> is added to a
 * <code>Component</code> using the <code>addInputMethodListener</code>
 * method, input method events occuring on that component will be
 * delivered to the input method listener via the sending of one of
 * the following methods:
 * 	- <code>caretPositionChanged</code>
 * 	- <code>inputMethodTextChanged</code>
 * <p>
 * The component provides an <code>InputMethodRequest</code> object for
 * handling input method listeners.
 *
 * @author		OTI
 * @version		initial
 */
public interface InputMethodListener extends EventListener {

	/**
	 * Called when the input method editor's text has changed.
	 *
	 * @author		OTI
	 * @version		initial
	 *
	 * @param	inputMethodEvent	the event that occured
	 *
	 * @see		<code>InputMethodEvent</code>
	 */
	public abstract void inputMethodTextChanged(InputMethodEvent inputMethodEvent);

	/**
	 * Called when the input method editor's caret position has changed.
	 *
	 * @author		OTI
	 * @version		initial
	 *
	 * @param	inputMethodEvent	the event that occured
	 *
	 * @see		<code>InputMethodEvent</code>
	 */
	public abstract void caretPositionChanged(InputMethodEvent inputMethodEvent);

}
