package java.awt.event;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.util.EventListener;

/**
 * This interface should be implemented by all classes
 * which wish to receive item events.
 * <p>
 * When an <code>ItemListener</code> is added to a
 * <code>Component</code> using the <code>addItemListener</code>
 * method, item events occurring on that component will be
 * delivered to the item listener via the sending of the
 * <code>itemStateChanged</code> method.
 */
public interface ItemListener extends EventListener {

	/**
	 * Called when an item event occurs on the itemEvent's
	 * source object.
	 *
	 * @param	itemEvent	the event that occured
	 *
	 * @see		<code>ItemEvent</code>
	 */
	public abstract void itemStateChanged(ItemEvent itemEvent);

}
