package java.awt.im;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

import java.util.Locale;
import java.awt.AWTEvent;
import java.awt.Component;
import java.lang.Character.Subset;

// TODO PPro 1.1 - parts still to be implemented (singleton)
// Need to implement logic described in hidden comments
public class InputContext {

	transient private boolean isCompositionEnabled;
	transient private Character.Subset[] subsets;
	transient private Locale locale;

	protected InputContext() {
		super();
		isCompositionEnabled = false;
		subsets = null;
	}

	public static InputContext getInstance() {
		return new InputContext();
	}

	public boolean selectInputMethod(Locale locale) {

		if (locale == null) throw new NullPointerException("Locale is null"); //$NON-NLS-1$
		this.locale = locale;
		return true;
	}

	public Locale getLocale() {
		if (locale == null) {
			locale = Locale.getDefault();
		}
		return locale;
	}

	public void setCharacterSubsets(Subset[] subsetArray) {
		subsets = subsetArray;
	}

	public void setCompositionEnabled(boolean enabled) {
		this.isCompositionEnabled = enabled;
	}

	public boolean isCompositionEnabled() {
		return isCompositionEnabled;
	}

	public void reconvert() {
	}

	public void dispatchEvent(AWTEvent awtEvent) {
		if (awtEvent == null) throw new NullPointerException("awtEvent is null"); //$NON-NLS-1$
	}

	public void removeNotify(Component component) {
		if (component == null) throw new NullPointerException("component is null"); //$NON-NLS-1$
	}

	public void endComposition() {
	}

	public void dispose() {
	}

	public Object getInputMethodControlObject() {
		return null;
	}

}
