package java.awt.im;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2005  All Rights Reserved
 */

// TODO PPro 1.1 - to be commented
public class InputMethodHighlight {

	private boolean selected;
	private int state;
	private int variation;

	public static final int RAW_TEXT = 0;
	public static final int CONVERTED_TEXT = 1;
	public static final InputMethodHighlight UNSELECTED_RAW_TEXT_HIGHLIGHT = new InputMethodHighlight(false, RAW_TEXT);
	public static final InputMethodHighlight SELECTED_RAW_TEXT_HIGHLIGHT = new InputMethodHighlight(true, RAW_TEXT);
	public static final InputMethodHighlight UNSELECTED_CONVERTED_TEXT_HIGHLIGHT = new InputMethodHighlight(false, CONVERTED_TEXT);
	public static final InputMethodHighlight SELECTED_CONVERTED_TEXT_HIGHLIGHT = new InputMethodHighlight(true, CONVERTED_TEXT);

	public InputMethodHighlight(boolean selected, int state) {
		this(selected, state, 0);
	}

	public InputMethodHighlight(boolean selected, int state, int variation) {
		this.selected = selected;
		_setState(state);
		this.variation = variation;
	}

	private void _setState(int state) {
		switch (state) {
			case CONVERTED_TEXT:
			case RAW_TEXT:
				break;
			default:
				throw new IllegalArgumentException("Argument for state is not valid");
		}
		this.state = state;
	}

	public boolean isSelected() {
		return selected;
	}

	public int getState() {
		return state;
	}

	public int getVariation() {
		return variation;
	}

}
