package java.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * An image filter for scaling images that blends pixels to produce visually smooth edges
 * and lines.
 */
public class AreaAveragingScaleFilter extends ReplicateScaleFilter {

	/**
	 * Construct an instance of this class for scaling images to <code>width</code>
	 * and <code>height</code> dimensions.
	 */
	public AreaAveragingScaleFilter(int width, int height) {
		super(width, height);
	}

	/**
	 * Sets how pixels are delivered from the image producer.
	 */
	public void setHints(int hints) {
		super.setHints(hints);
	}

	/**
	 * Delivers the pixels to be filtered from the image producer.
	 */
	public void setPixels(int x, int y, int width, int height, ColorModel colorModel, byte[] pixels, int offset, int scansize) {
		super.setPixels(x, y, width, height, colorModel, pixels, offset, scansize);
	}

	/**
	 * Delivers the pixels to be filtered from the image producer.
	 */
	public void setPixels(int x, int y, int width, int height, ColorModel colorModel, int[] pixels, int offset, int scansize) {
		super.setPixels(x, y, width, height, colorModel, pixels, offset, scansize);
	}
}
