package java.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2002, 2005  All Rights Reserved
 */

import java.awt.GraphicsConfiguration;
import java.net.URL;

import com.ibm.oti.awt.image.IImageFactory;
import com.ibm.oti.awt.image.IImageImpl;

class BufferedImageFactory implements IImageFactory {

	public BufferedImage createImage(GraphicsConfiguration graphicsConfiguration, int width, int height) {
		return new BufferedImage(graphicsConfiguration, width, height);
	}

	public IImageImpl getIImageImpl(Object image) {
		if (image instanceof IImageImpl)
			return (IImageImpl) image;
		else if (image instanceof BufferedImage)
			return ((BufferedImage) image).getImageWrapper();
		else
			return null;
	}

	public IImageImpl createIImageImpl(Object image) {
		if (image instanceof IImageImpl)
			return (IImageImpl) image;
		else if (image instanceof BufferedImage)
			return new BufferedImageWrapper((BufferedImage) image);
		else
			return null;
	}
}
