package java.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.awt.Component;
import java.util.Hashtable;

import com.ibm.oti.awt.image.IImageImpl;
import com.ibm.oti.awt.metal.image.ImagePeer;

/**
 *
 * @author        IBM
 * @version		initial
 *
 */
class BufferedImageWrapper implements IImageImpl {

	BufferedImage fBufferedImage;

	BufferedImageWrapper(BufferedImage image) {
		fBufferedImage= image;
	}

	public ImagePeer getImagePeer() {
		return fBufferedImage.getImagePeer();
	}
	public ImagePeer getImagePeer(ImageObserver imageObserver) {
		return fBufferedImage.getImagePeer(imageObserver);
	}
	public ImagePeer getPrimitiveImagePeer() {
		return fBufferedImage.tImagePeer;
	}
	public void setImagePeer(ImagePeer imagePeer) {
		fBufferedImage.setImagePeer(imagePeer);
	}

	public Component getComponent() {
		return fBufferedImage.getComponent();
	}
	public java.awt.Graphics getGraphics() {
		return fBufferedImage.getGraphics();
	}

	public int getStatus() {
		return IImageImpl.FINISHED;
	}

	public void setStatus(int status) {
		// This is never called
	}

	public void disposeImage() {
		fBufferedImage.disposeImage();
	}

	public void notifyObservers(int infoflags, int x, int y, int width, int height) {
		fBufferedImage.notifyObservers(infoflags, x, y, width, height);
	}

	public void setProperties(Hashtable properties) {
		// Do nothing
	}
}
