package java.awt.image;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.awt.Image;

/**
 * ImageObserver is an interface implementable by objects wishing to be notified of image
 * loading progress.
 */
public interface ImageObserver {

	/**
	 * Status bits for image updates
	 */
	public static final int WIDTH = 1;
	public static final int HEIGHT = 2;
	public static final int PROPERTIES = 4;
	public static final int SOMEBITS = 8;
	public static final int FRAMEBITS = 16;
	public static final int ALLBITS = 32;
	public static final int ERROR = 64;
	public static final int ABORT = 128;

	/**
	 * The image consumer invokes this method to report the progress of image loading.
	 */
	public boolean imageUpdate(Image image, int flags, int x, int y, int width, int height);

}
