package java.beans;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.util.EventListener;

/**
 * PropertyChangeListeners implement the message which is
 * sent when properties are changed.
 */

public interface PropertyChangeListener extends EventListener {

	/**
	 * Indicates that a property has changed as described by pCEvent.
	 *
	 * @param pCEvent the event which describes the property change
	 */
	public void propertyChange(PropertyChangeEvent pCEvent);

}
