package java.beans;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * Exception which is thrown to indicate a vetoed change.
 */

public class PropertyVetoException extends Exception {

	static final long serialVersionUID = 129596057694162164L;

	PropertyChangeEvent evt;

	/**
	 * Constructs a new instance of this class with its
	 * walkback, message and the event which generated the
	 * exception filled in.
	 *
	 * @param detailMessage  The detail message for the exception
	 * @param pCEvent        The event which is being vetoed
	 */
	public PropertyVetoException(
		String detailMessage,
		PropertyChangeEvent pCEvent) {
		super(detailMessage);

		evt = pCEvent;
	}

	/**
	 * Answers the event which generated the exception.
	 */
	public PropertyChangeEvent getPropertyChangeEvent() {
		return evt;
	}

}
