package java.beans;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.util.EventListener;

/**
 * VetoableChangeListeners implement the message which is
 * sent before constrained properties are changed, allowing
 * them to cancel the change by throwing a PropertyVetoException
 */

public interface VetoableChangeListener extends EventListener {

	/**
	 * Indicates that a property is about to be changed as
	 * described by pCEvent.
	 *
	 * @param pCEvent the event which describes the property change
	 *
	 * @exception PropertyVetoException thrown if the listener does not want the change to occur
	 */
	public void vetoableChange(PropertyChangeEvent event)
		throws PropertyVetoException;

}
