
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * Objects that want to be serialized/deserialized using ObjectOutputStream/ObjectInputStream
 * but defining their own byte representation should implement this interface.
 *
 *
 * @author		OTI
 * @version		initial
 *
 */
public interface Externalizable extends Serializable {
/**
 * Reads the next object from the ObjectInput <code>input</code>
 *
 * @author		OTI
 * @version		initial
 *
 * @param		input		the ObjectInput from which the next object is read
 *
 * @throws 		IOException				If an error occurs attempting to read from this ObjectInput.
 * @throws 		ClassNotFoundException 	If the class of the instance being loaded cannot be found
 */
public void readExternal(ObjectInput input) throws IOException, java.lang.ClassNotFoundException;
/**
 * Writes the receiver to the ObjectOutput <code>output</code>.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		output		an ObjectOutput where to write the object
 *
 * @throws 		IOException	If an error occurs attempting to write to the ObjectOutput.
 */
public void writeExternal(ObjectOutput output) throws IOException;
}
