package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * FileFilter is an interface for filtering abstract Files
 *
 * @author		OTI
 * @version		initial
 *
 */
public abstract interface FileFilter {

/**
 * Answers a boolean indicating whether or not a specific File should be included in a pathname list.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		pathname	the abstract File to check.
 * @return 		<code>true</code> if the File should be includes, <code>false</code> otherwise.
 */
public abstract boolean accept(File pathname);
}
