
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * The object graph loaded (deserialized) can be validated
 * by a collection of validator objects. If these decide the
 * validation fails, then will throw InvalidObjectException.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			ObjectInputStream#registerValidation(ObjectInputValidation, int)
 * @see			ObjectInputValidation#validateObject()
 */
public class InvalidObjectException extends ObjectStreamException {

	private static final long serialVersionUID = 3233174318281839583L;

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage	The detail message for the exception.
 */
public InvalidObjectException (String detailMessage) {
	super(detailMessage);
}

}
