
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * Some methods in ObjectInputStream and ObjectOutputStream can only
 * be called from a nested call to readObject() or writeObject().
 * Any attempt to call them from another context will cause this
 * exception to be thrown. The list of methods that are protected
 * this way is:
 * <ul>
 * <li>ObjectInputStream.defaultReadObject()</li>
 * <li>ObjectInputStream.registerValidation()</li>
 * <li>ObjectOutputStream.defaultWriteObject()</li>
 * </ul>
 *
 * @author		OTI
 * @version		initial
 *
 * @see			ObjectInputStream#defaultReadObject()
 * @see			ObjectInputStream#registerValidation(ObjectInputValidation, int)
 * @see			ObjectOutputStream#defaultWriteObject()
 */
public class NotActiveException extends ObjectStreamException {

	private static final long serialVersionUID = -3893467273049808895L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 */
public NotActiveException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @param		detailMessage	The detail message for the exception.
 */
public NotActiveException (String detailMessage) {
	super(detailMessage);
}

}
