
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * When an implementation of ObjectOutput.writeObject() is passed
 * an object that is not serializable, it will throw this type of
 * exception. This can happen if the object does not implement
 * Serializable or Externalizable, or if it is Serializable but it
 * overrides writeObject(ObjectOutputStream) and explicitely decides
 * it wants to prevent serialization, by throwing this type of exception.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			ObjectOutputStream#writeObject(Object)
 * @see			ObjectOutput#writeObject(Object)
 */
public class NotSerializableException extends ObjectStreamException {

	private static final long serialVersionUID = 2906642554793891381L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NotSerializableException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage	The detail message for the exception.
 */
public NotSerializableException (String detailMessage) {
	super(detailMessage);
}

}
