
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * Objects to perform validations on other objects read with serialization should implement this interface.
 * An object's <code>readObject()</code> can call <code>ObjectInputStream.registerValidation()</code>
 * passing an object that implements ObjectInputValidation.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			ObjectInputStream
 */
public interface ObjectInputValidation {
/**
 * Validates an object read with serialization.
 *
 * @throws		InvalidObjectException if the receiver fails to validate the object read
 */
public void validateObject() throws InvalidObjectException;
}
