
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * This is the superclass of all exceptions that can happen
 * when serializing or deserialing objects. The state of the
 * stream is unknown when one of these serialization-related
 * exceptions are thrown.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		InvalidObjectException
 * @see		NotActiveException
 * @see		NotSerializableException
 * @see		OptionalDataException
 * @see		StreamCorruptedException
 * @see		WriteAbortedException
 *
 */
public abstract class ObjectStreamException extends IOException {

	private static final long serialVersionUID = 7260898174833392607L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
protected ObjectStreamException() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage	The detail message for the exception.
 */
protected ObjectStreamException(String detailMessage) {
	super(detailMessage);
}

}
