
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * When readObject() encounters primitive types (int, char, etc)
 * instead of an object instance in the input stream, this type
 * of exception will be thrown.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		ObjectInputStream#available()
 * @see		ObjectInputStream#readObject()
 * @see		ObjectInputStream#skipBytes(int)
 */
public class OptionalDataException extends ObjectStreamException {

	private static final long serialVersionUID = -8011121865681257820L;

	/**
	 * If true it means there is no more primitive data available.
	 */
	public boolean eof;

	/**
	 * Number of bytes of primitive data (int, char, long, etc).
	 */
	public int length;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 */
OptionalDataException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
OptionalDataException (String detailMessage) {
	super(detailMessage);
}

}
