
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * SerializablePermission objects represent permission to access
 * unsafe serialization operations. The name of the permission
 * should be one of:
 * <dl>
 * <dt>enableSubclassImplementation</dt>
 *		<dd>Subclasses can override serialization behavior</dd>
 * <dt>enableSubstitution</dt>
 *		<dd>Object substitution can be enabled</dd>
 * </dl>
 *
 * @author		OTI
 * @version		initial
 *
 * @see 		ObjectStreamConstants
 */
public final class SerializablePermission extends java.security.BasicPermission {
	private static final long serialVersionUID = 8537212141160296410L;

	private String actions;

/**
 * Creates an instance of this class with the given name.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		permissionName the name of the new permission.
 */
public SerializablePermission(String permissionName) {
	super(permissionName);
}

/**
 * Creates an instance of this class with the given name and
 * action list. The action list is ignored.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name		the name of the new permission.
 * @param		actions		ignored.
 */
public SerializablePermission(String name, String actions) {
	super(name, actions);
}
}
