
package java.io;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * When readObject() cannot read an object from the input
 * stream due to missing information (cyclic reference that
 * doesn't match previous instance or missing class descriptor
 * for instance to be loaded) this type of exception is thrown.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			ObjectInputStream
 * @see			OptionalDataException
 *
 */
public class StreamCorruptedException extends ObjectStreamException {

	private static final long serialVersionUID = 8983558202217591746L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 */
public StreamCorruptedException() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @param		detailMessage the detail message for the exception.
 */
public StreamCorruptedException(String detailMessage) {
	super(detailMessage);
}

}
