
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the VM notices that a
 * an attempt is being made to invoke an abstract method.
 * <p>
 * Note that this can only occur when inconsistant
 * class files are being loaded, since invoking an
 * abstract method is a compile time error.
 *
 * @author		OTI
 * @version		initial
 */
public class AbstractMethodError extends IncompatibleClassChangeError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public AbstractMethodError () {
	super ();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public AbstractMethodError (String detailMessage) {
	super (detailMessage);
}

}
