package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2002, 2005  All Rights Reserved
 */

/**
 * Assert statement support
 */
public class AssertionError extends Error {
/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public AssertionError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage Object
 *				The detail message for the exception.
 */
public AssertionError (Object detailMessage) {
	super(String.valueOf(detailMessage));
	if(detailMessage instanceof Throwable) {
		initCause((Throwable) detailMessage);
	}
}

/**
 * Constructs a new instance of this class with its
 * message filled in from the value of argument.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage boolean
 *				Constructs the detail message from the boolean value of argument.
 */
public AssertionError (boolean detailMessage) {
	this(String.valueOf(detailMessage));
}

/**
 * Constructs a new instance of this class with its
 * message filled in from the value of argument.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage char
 *				Constructs the detail message from the char argument.
 */
public AssertionError (char detailMessage) {
	this(String.valueOf(detailMessage));
}

/**
 * Constructs a new instance of this class with its
 * message filled in from the value of argument.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage int
 *				Constructs the detail message from the value of int argument.
 */
public AssertionError (int detailMessage) {
	this(Integer.toString(detailMessage));
}

/**
 * Constructs a new instance of this class with its
 * message filled in from the value of argument.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage long
 *				Constructs the detail message from the value of long argument.
 */
public AssertionError (long detailMessage) {
	this(Long.toString(detailMessage));
}

/**
 * Constructs a new instance of this class with its
 * message filled in from the value of argument.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage float
 *				Constructs the detail message from the value of float argument.
 */
public AssertionError (float detailMessage) {
	this(Float.toString(detailMessage));
}
/**
 * Constructs a new instance of this class with its
 * message filled in from the value of argument.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage double
 *				Constructs the detail message from the value of double argument.
 */

public AssertionError (double detailMessage) {
	this(Double.toString(detailMessage));
}

}
