
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2003, 2005  All Rights Reserved
 */

 /**
 * The CharSequence interface represets an ordered set of characters
 * and the functions to probe them.
 *
 * @author		OTI
 * @version		initial
 */

public interface CharSequence {

/**
 * Answers the number of characters in the sequence.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		the number of charcters in the sequence
 */
public int length();

/**
 * Answers the character at the specified index (0-based indexing).
 *
 * @author		OTI
 * @version		initial
 *
 * @param		index - of the character to return
 * @return		character indicated by index
 * @throws		IndexOutOfBoundsException when <code>index < 0</code> or
 *				<code>index<\code> >= the length of the <code>CharSequence</code>
 */
public char charAt(int index);

/**
 * Answers a CharSequence from the <code>start<\code> index to the
 * <code>end<\code> index of this sequence.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		start -- index of the start of the sub-sequence to return
 * @param		end -- index of the end of the sub-sequence to return
 * @return		the sub sequence from start to end
 * @throws		IndexOutOfBoundsException when 1. either index is below 0
 * 				2. either index >= <code>this.length()<\code>
 * 				3. <code>start > end <\code>
 */
public CharSequence subSequence(int start, int end);

/**
 * Answers a String with the same characters and ordering of this CharSequence
 *
 * @author		OTI
 * @version		initial
 *
 * @return		a String based on the CharSequence
 */
public String toString();

}
