
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the VM notices that an
 * attempt is made to load a class which would directly
 * or indirectly inherit from one of its subclasses.
 * <p>
 * Note that this can only occur when inconsistant
 * class files are being loaded, since this error would
 * be detected at compile time.
 *
 * @author		OTI
 * @version		initial
 */
public class ClassCircularityError extends LinkageError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ClassCircularityError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ClassCircularityError (String detailMessage) {
	super(detailMessage);
}

}
