
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * This exception is thrown when a classloader is
 * unable to find a class.
 *
 * @author		OTI
 * @version		initial
 */
public class ClassNotFoundException extends Exception {

	private static final long serialVersionUID = 9176873029745254542L;

	private Throwable ex;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ClassNotFoundException () {
	super((Throwable)null);
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ClassNotFoundException (String detailMessage) {
	super(detailMessage, null);
}

/**
 * Constructs a new instance of this class with its
 * walkback, message and exception filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 * @param		exception Throwable
 *				The exception which occurred while loading the class.
 */
public ClassNotFoundException (String detailMessage, Throwable exception) {
	super(detailMessage);
	ex = exception;
}

/**
 * Answers the exception which occured when loading the class.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		Throwable
 *				The exception which occurred while loading the class.
 */
public Throwable getException () {
	return ex;
}

/**
 * Answers the cause of this Throwable, or null if there
 * is no cause.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		Throwable
 *				The receiver's cause.
 */
public Throwable getCause() {
	return ex;
}
}
