
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the VM notices that a
 * an attempt is being made to access a field which
 * is not accessable from where it is referenced.
 * <p>
 * Note that this can only occur when inconsistant
 * class files are being loaded.
 *
 * @author		OTI
 * @version		initial
 */
public class IllegalAccessError extends IncompatibleClassChangeError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public IllegalAccessError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public IllegalAccessError (String detailMessage) {
	super(detailMessage);
}

}
