package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 *	An InheritableThreadLocal is very similar to a ThreadLocal, with the added
 * functionality that a child Thread inherits all InheritableThreadLocal from its
 * parent Thread upon Thread creation time.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			java.lang.Thread
 * @see			java.lang.ThreadLocal
 */

public class InheritableThreadLocal extends java.lang.ThreadLocal {
/**
 * 	Constructs a new InheritableThreadLocal object
 *
 * @author		OTI
 * @version		initial
 *
 */
public InheritableThreadLocal() {
	super();
}
/**
 * 	Computes the created Thread's initial value for this InheritableThreadLocal
 * based on the current value of the same local on the creator Thread.
 *
 * @author		OTI
 * @version		initial
 *
 */
protected Object childValue(Object parentValue) {
	return parentValue;
}

}
