
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the VM notices that a
 * an attempt is being made to reference a field of
 * a class which does not exist in that class.
 * <p>
 * Note that this can only occur when inconsistant
 * class files are being loaded.
 *
 * @author		OTI
 * @version		initial
 */
public class NoSuchFieldError extends IncompatibleClassChangeError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NoSuchFieldError () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public NoSuchFieldError (String detailMessage) {
	super(detailMessage);
}

}
