
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This runtime exception is thrown when an attempt
 * is made to access a field or method of an instance
 * or an element of an array when there is no instance
 * or array to use (i.e. the pointer is null).
 *
 * @author		OTI
 * @version		initial
 */
public class NullPointerException extends RuntimeException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public NullPointerException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public NullPointerException (String detailMessage) {
	super(detailMessage);
}

}
