
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * This class is the superclass of all classes which
 * represent exceptional conditions which occur as a
 * result of the running of the virtual machine.
 *
 * @author		OTI
 * @version		initial
 */
public class RuntimeException extends Exception {
	private static final long serialVersionUID = -7034897190745766939L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public RuntimeException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public RuntimeException (String detailMessage) {
	super(detailMessage);
}

/**
 * Constructs a new instance of this class with its
 * walkback, message and cause filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 * @param		throwable The cause of this Throwable
 */
public RuntimeException (String detailMessage, Throwable throwable) {
	super(detailMessage, throwable);
}

/**
 * Constructs a new instance of this class with its
 * walkback and cause filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		throwable The cause of this Throwable
 */
public RuntimeException (Throwable throwable) {
	super(throwable);
}
}
