
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This error is thrown when the depth of the callstack
 * of the running program excedes some platform or
 * virtual machine specific limit. Typically, this will
 * occur only when a program becomes infinitely recursive,
 * but can occur in correctly written (but deeply
 * recursive) programs.
 *
 * @author		OTI
 * @version		initial
 */
public class StackOverflowError extends java.lang.VirtualMachineError {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public StackOverflowError() {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public StackOverflowError(String detailMessage) {
	super(detailMessage);
}

}
