
package java.lang;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 *	A ThreadLocal is a variable that has a per-thread value. Different Threads
 * may reference the same ThreadLocal object, but the values they observe will
 * not be <code>==</code>. This provides Thread local storage.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			java.lang.Thread
 */
public class ThreadLocal {
/**
 * 	Constructs a new ThreadLocal object
 *
 * @author		OTI
 * @version		initial
 *
 */
public ThreadLocal() {
	super();
}
/**
 * 	Return the value of this variable under <code>Thread.currentThread()</code>
 *
 * @author		OTI
 * @version		initial
 *
 */
public Object get() {
	return Thread.currentThread().getThreadLocal (this);
}
/**
 * 	Return the initial value of this variable under <code>Thread.currentThread()</code>
 *
 * @author		OTI
 * @version		initial
 *
 */
protected Object initialValue() {
	return null;
}
/**
 * 	Set the value of this variable under <code>Thread.currentThread()</code>
 *
 * @author		OTI
 * @version		initial
 *
 */
public void set(Object value) {
	Thread.currentThread().setThreadLocal (this, value);
}
}
