package java.lang.reflect;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2001, 2004  All Rights Reserved
 */

/**
 * Implementors of this interface decode and dispatch methods sent to proxy instances.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		Proxy
 */
public interface InvocationHandler {
/**
 * Return the result of decoding and dispatching the method which was originally
 * sent to the proxy instance.
 *
 * @param		proxy		the proxy instance which was the receiver of the method.
 * @param		method		the Method invoked on the proxy instance.
 * @param		args		an array of objects containing the parameters passed to the method, or null if no arguments are expected. primitive types are wrapped in the appropriate class.
 * @return		the result of executing the method
 *
 * @throws		Throwable	if an exception was thrown by the invoked method. The exception must match one of the declared exception types for the invoked method or any
 *								unchecked exception type. If not then an UndeclaredThrowableException is thrown.
 */
public Object invoke(Object proxy, Method method, Object[] args) throws Throwable;
}
