package java.lang.reflect;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * Implementors of this interface model a class member.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			Field
 * @see			Constructor
 * @see			Method
 */
public interface Member
{
	public static final int PUBLIC = 0;
	public static final int DECLARED = 1;

/**
 * Return the java.lang.Class associated with the class that defined
 * this member.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		the declaring class
 */
public abstract Class getDeclaringClass();

/**
 * Return the modifiers for the member.
 * The Modifier class should be used to decode the result.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		the modifiers
 * @see			java.lang.reflect.Modifier
 */
public abstract int getModifiers();

/**
 * Return the name of the member.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		the name
 */
 public abstract String getName();
}
