package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * Defines a scheme for mapping a filename type to a MIME content type.
 * Mainly used by <code>URLStreamHandler</code> for determining the right content handler
 * to handle the resource.
 *
 * @see			ContentHandler
 * @see			URLConnection#getFileNameMap()
 * @see			URLConnection#guessContentTypeFromName(String)
 * @see			URLStreamHandler
 */

public interface FileNameMap {
/**
 * Determines the MIME types for a file <code>fileName</code> of a <code>URL</code>.
 *
 * @author		OTI
 * @version		initial
 *
 * @return java.lang.String
 * @param fileName java.lang.String
 */
public String getContentTypeFor(String fileName);
}
