package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This class represents permission to access network resources.
 * <p>
 * There are three valid target names:
 * <dl>
 * <dt>setDefaultAuthenticator</dt>
 *	<dd>Allows the default authenticator to be set.</dd>
 * <dt>requestPasswordAuthentication</dt>
 *	<dd>Allows the default authenticator to be retrieved.</dd>
 * <dt>specifyStreamHandler</dt>
 *	<dd>Allows a stream (protocol) handler to be set when
 *		constructing an URL object</dd>
 * </dl>
 *
 * @author		OTI
 * @version		initial
 *
 * @see 	java.security.BasicPermission
 * @see 	SecurityManager
 */
public final class NetPermission extends java.security.BasicPermission {

/**
 * Creates an instance of this class with the given name.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name String
 *					the name of the new permission.
 */
public NetPermission(String name) {
	super(name);
}

/**
 * Creates an instance of this class with the given name and
 * action list. The action list is ignored.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name String
 *					the name of the new permission.
 * @param		actions String
 *					ignored.
 */
public NetPermission(String name, String actions) {
	super(name, actions);
}

}
