package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This class is a data structure that contains the username and password.
 *
 * @author		OTI
 * @version		initial
 *
 */
public final class PasswordAuthentication {
	private String userName;
	private char[] password;
/**
 * Creates an instance of a password authentication with a username and password.
 *
 * @author		OTI
 * @version		initial
 *
 * @param userName java.lang.String		the username
 * @param password char[]				the password
 */
public PasswordAuthentication(String userName, char[] password) {
	this.userName = userName;
	this.password = (char[])password.clone();
}
/**
 * Answers the reference of the password of this class.
 *
 * @author		OTI
 * @version		initial
 *
 * @return char[]		the reference of the password
 */
public char[] getPassword() {
	return (char[])password.clone();
}
/**
 * Answers the username of this class.
 *
 * @author		OTI
 * @version		initial
 *
 * @return java.lang.String		the username of this class
 */
public String getUserName() {
	return userName;
}
}
