package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

import java.io.FileDescriptor;

/**
 * This class was added so we can create sockets with options that are needed
 * for server sockets.  It just overrides create so that we call new natives which
 * only set the options required for server sockets.  In order to preserve behaviour
 * of older versions the create PlainSocketImpl was left as is and this new class
 * was added.  For newer versions an instance of this class is used, for earlier
 * versions the original PlainSocketImpl is used.
 */
class PlainMulticastSocketImpl extends PlainDatagramSocketImpl {

	/**
	 * Answer the result of attempting to create a multicast socket in
	 * the IP stack.  Any special options required for server sockets will
	 * be set by this method.
	 *
	 * @author		OTI
	 * @version		initial
	 *
	 * @param		aFD		the socket FileDescriptor
	 * @exception	SocketException	if an error occurs while creating the socket
	 */
	static native void createMulticastSocketImpl(FileDescriptor aFD, boolean preferIPv4Stack)
		throws SocketException;

	/**
	 * Allocate the socket descriptor in the IP stack.
	 *
	 * @author		OTI
	 * @version		initial
	 *
	 */
	 protected void create() throws SocketException {
		createMulticastSocketImpl(fd, Socket.preferIPv4Stack());
		reuseAddr = true;
	}
}
