
package java.net;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

import java.io.IOException;

/**
 * This UnknownServiceException is thrown when a particular
 * service requested isn't support by the URL. Examples are
 * attempts to read  from an URL via an <code>InputStream</code>
 * or write to an URL via an <code>OutputStream</code>
 *
 * @author		OTI
 * @version		initial
 */
public class UnknownServiceException extends IOException {

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public UnknownServiceException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public UnknownServiceException (String detailMessage) {
	super(detailMessage);
}

}
