package java.rmi;
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp 1998, 2002
 */

/**
 * This exception will be thrown by the method bind, unbind and
 * rebind when the object name/url points to another host.
 *
 * @author		OTI
 * @version		initial
 */
public class AccessException extends RemoteException {

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @param		s String
 *					a message describing why the exception was thrown.
 *
 * @author		OTI
 * @version		initial
 */
public AccessException(String s) {
	super(s);
}

/**
 * Constructs a new instance of this class with its
 * walkback, message and nested exception filled in.
 *
 * @param		s String
 *					a message describing why the exception was thrown.
 * @param		ex Exception
 *					the exception being wrapped by this new instance.
 *
 * @author		OTI
 * @version		initial
 */
public AccessException(String s, Exception ex) {
	super(s,ex);
}

}
