
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000, 2006  All Rights Reserved
 */

import java.util.Vector;
import java.util.Enumeration;

class AllPermissionCollection extends PermissionCollection {
	private static final long serialVersionUID = -4023755556366636806L;
	boolean all_allowed = false;

public void add(Permission permission) {
	if (!(permission instanceof AllPermission))
		throw new IllegalArgumentException(permission.toString());
	if (isReadOnly())
		throw new IllegalStateException();
	else
		all_allowed = true;
}

public Enumeration elements() {
	Vector temp = new Vector();
	if (all_allowed) temp.addElement(new AllPermission());
	return temp.elements();
}

public boolean implies(Permission permission) {
	return all_allowed;
}
}

