
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * A DomainCombiner is a way to update the protection domains
 * from an AccessControlContext
 *
 *
 * @author		OTI
 * @version		initial
 */
public interface DomainCombiner {

/**
 * Updates the protection domains given as arguments.
 *
 * @author		OTI
 * @version		initial
 *
 * @param 		executionDomains java.security.ProtectionDomain[]
 *				protection domains from the current execution Thread
 * @param 		parentDomains java.security.ProtectionDomain[]
 *				protection domains from the parent Thread
 * @return		ProtectionDomain[]
 *				updated protection domains
 */
public ProtectionDomain[] combine(ProtectionDomain[] executionDomains, ProtectionDomain[] parentDomains);

}
