
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This interface is implemented by objects which
 * wish to control access to other objects.
 *
 * @author		OTI
 * @version		initial
 */
public interface Guard {
/**
 * Checks whether access should be granted to the
 * argument. If access is granted, this method simply
 * returns. If it is not granted, then a
 * <code>SecurityException</code> should be thrown.
 *
 * @author		OTI
 * @version		initial
 *
 * @param 		guardedObject java.lang.Object
 *					an object to check for accessibility
 * @exception	java.lang.SecurityException
 *					If access is not granted to the object
 */
void checkGuard(Object guardedObject) throws SecurityException;
}
