
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * This class represents pairs of public&private keys.
 *
 *
 * @author		OTI
 * @version		initial
 */
public final class KeyPair implements java.io.Serializable {
	private static final long serialVersionUID = -7565189502268009837L;

	private PrivateKey privateKey;	// The private key in this key pair
	private PublicKey publicKey;	// The public key in this key pair
/**
 * Constructs a new instance of this class with the keys provided.
 *
 * @author		OTI
 * @version		initial
 *
 * @param	publicKey	PublicKey	The public key to be used
 * @param	privateKey	PrivateKey	The private key to be used
 */
public KeyPair(PublicKey publicKey, PrivateKey privateKey) {
	this.publicKey = publicKey;
	this.privateKey = privateKey;
}
/**
 * Answers the private key being used by the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		PrivateKey
 *					the private key being used by the receiver.
 */
public PrivateKey getPrivate() {
	return this.privateKey;
}
/**
 * Answers the public key being used by the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		PublicKey
 *					the public key being used by the receiver.
 */
 public PublicKey getPublic() {
	return this.publicKey;
}
}
