
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * Computations to be performed with privileges enabled
 *
 * @author		OTI
 * @version		initial
 *
 * @see			AccessController
 * @see			AccessController#doPrivileged(PrivilegedAction)
 * @see			PrivilegedExceptionAction
 */
public abstract interface PrivilegedAction {

/**
 * Performs the actual privileged computation.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		an Object that represents the result of the computation.
 *
 * @see			AccessController#doPrivileged(PrivilegedAction)
 * @see			AccessController#doPrivileged(PrivilegedAction, AccessControlContext)
 */
Object run();
}
