
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * Instances of this class are used to wrap exceptions which
 * occur within privileged operations.
 *
 * @author		OTI
 * @version		initial
 */
public class PrivilegedActionException extends Exception {
	private static final long serialVersionUID = 4724086851538908602L;

	/**
	 * The exception which occurred.
	 */
	private Exception exception;

/**
 * Constructs a new instance of this class with its
 * exception filled in.
 *
 * @author		OTI
 * @version		initial
 */
public PrivilegedActionException (Exception ex) {
	super(null, ex);
	exception = ex;
}

/**
 * Answers the exception which caused the receiver to
 * be thrown.
 *
 * @author		OTI
 * @version		initial
 */
public Exception getException () {
	return exception;
}

/**
 * Answers a string containing a concise, human-readable
 * description of the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		String
 *				a printable representation for the receiver.
 */
public String toString() {
	return super.toString() + ": " + exception;
}

/**
 * Answers the cause of this Throwable, or null if there
 * is no cause.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		Throwable
 *				The receiver's cause.
 */
public Throwable getCause() {
	return exception;
}
}
