
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This class represents privileged actions to be performed, which can
 * throw checked exceptions.
 *
 * @author		OTI
 * @version		initial
 *
 * @see			AccessController
 * @see			AccessController#doPrivileged(PrivilegedExceptionAction)
 * @see			AccessController#doPrivileged(PrivilegedExceptionAction, AccessControlContext)
 * @see			PrivilegedAction
 */
public abstract interface PrivilegedExceptionAction {

/**
 * Performs the actual privileged computation.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		an Object that represents the result of the computation.
 *
 * @see			AccessController#doPrivileged(PrivilegedAction)
 * @see			AccessController#doPrivileged(PrivilegedAction, AccessControlContext)
 */
public Object run() throws Exception;

}
