
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

import java.io.Serializable;

/**
 * This class is a Service Provider Interface (therefore the Spi suffix) for
 * secure random number generation algorithms to be supplied by providers.
 *
 * @author		OTI
 * @version		initial
 */
public abstract class SecureRandomSpi implements Serializable {
/**
 * Constructs a new instance of this class.
 *
 * @author		OTI
 * @version		initial
 */
public SecureRandomSpi() {
}
/**
 * Generates a certain number of seed bytes
 *
 * @author		OTI
 * @version		initial
 *
 * @param		numBytes	int		Number of seed bytes to generate
 * @return		byte[]		The seed bytes generated
 */
protected abstract byte[] engineGenerateSeed(int numBytes);
/**
 * Generates a certain number of random bytes
 *
 * @author		OTI
 * @version		initial
 *
 * @param		bytes	byte[]	array to be filled with random bytes
 */
protected abstract void engineNextBytes(byte[] bytes);
/**
 * Reseeds this random object
 *
 * @author		OTI
 * @version		initial
 *
 * @param	seed	byte[]	The number of seed bytes to generate
 */
protected abstract void engineSetSeed(byte[] seed);
}
