
package java.security;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * SecurityPermission objects guard access to the mechanisms
 * which implement security. Security permissions have names,
 * but not actions.
 *
 * @author		OTI
 * @version		initial
 */
public final class SecurityPermission extends BasicPermission {
	private static final long serialVersionUID = 5236109936224050470L;

	/**
	 * Constants for security permissions used in this package.
	 */
	static final SecurityPermission permissionToGetPolicy =
		new SecurityPermission("getPolicy");
	static final SecurityPermission permissionToSetPolicy =
		new SecurityPermission("setPolicy");

/**
 * Creates an instance of this class with the given name.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name String
 *					the name of the new permission.
 */
public SecurityPermission(String name) {
	super(name);
}

/**
 * Creates an instance of this class with the given name and
 * action list. The action list is ignored.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		name String
 *					the name of the new permission.
 * @param		actions String
 *					ignored.
 */
public SecurityPermission(String name, String actions) {
	super(name, actions);
}

}
