package java.security;

import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000, 2006  All Rights Reserved
 */

class UnresolvedPermissionCollection extends PermissionCollection {
	private static final long serialVersionUID = -7176153071733132400L;
	Hashtable permissions = new Hashtable(8);

public void add(Permission permission) {
	if (isReadOnly())
		throw new IllegalStateException();
	Vector elements = (Vector)permissions.get(permission.getName());
	if (elements == null) {
		elements = new Vector();
		permissions.put(permission.getName(), elements);
	}
	elements.addElement(permission);
}

public Enumeration elements() {
	return new Enumeration() {
		Enumeration vEnum, pEnum = permissions.elements();
		Object next = findNext();
		private Object findNext() {
			if (vEnum != null) {
				if (vEnum.hasMoreElements())
					return vEnum.nextElement();
			}
			if (!pEnum.hasMoreElements()) return null;
			vEnum = ((Vector)pEnum.nextElement()).elements();
			return vEnum.nextElement();
		}
		public boolean hasMoreElements() {
			return next != null;
		}
		public Object nextElement() {
			Object result = next;
			next = findNext();
			return result;
		}
	};
}

public boolean implies(Permission permission) {
	return false;
}

Vector getPermissions(String name) {
	return (Vector)permissions.get(name);
}
}
