
package java.security.acl;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This interface represents a gorup of Principals.
 *
 * @author		OTI
 * @version		initial
 *
 * @see Principal
 */

 import java.security.*;
 import java.util.*;

 public abstract interface Group extends Principal {
/**
 * Adds the specified principal to the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		user	Principal	The principal to add.
 *
 * @return		true if the principal was added, false if the principal was already in the receiver
 */
public boolean addMember(Principal user);
/**
 * Answers if the given pricipal is a member of the receiver
 *
 * @author		OTI
 * @version		initial
 *
 * @param		member	Principal	The principal to check.
 *
 * @return		true if the given pricipal is a member of the receiver, false otherwise.
 */
public boolean isMember(Principal member);
/**
 * Answers an enumeration on the principals in the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		an enumeration on the principals in the receiver.
 */
public Enumeration members();
/**
 * Removes the specified principal from the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		user	Principal	The principal to remove.
 *
 * @return		true if the principal was removed, false otherwise (not a member)
 */
public boolean removeMember(Principal user);
}
