
package java.security.interfaces;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * This interface represents DSA public or private keys, as defined in NIST's FIPS-186.
 *
 * @author		OTI
 * @version		initial
 *
 * @see DSAParams
 * @see java.security.Key
 * @see java.security.Signature
 */

public abstract interface DSAKey {

/**
 * Return the DSA parameters for the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		DSAParams, the DSA parameters for the receiver
 *
 * @see			DSAParams
 *
 */
 public DSAParams getParams();

}
