
package java.security.interfaces;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This interface represents DSA-specific key parameters.
 *
 * @author		OTI
 * @version		initial
 *
 * @see 		DSAKey
 * @see 		Key
 * @see 		Signature
 */

import java.math.BigInteger;

public abstract interface DSAParams {

/**
 * Return the DSA parameter "p" for the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	parameter "p" for the receiver.
 *
 */
public BigInteger getP();

/**
 * Return the DSA parameter "q" for the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	parameter "q" for the receiver.
 *
 */
public BigInteger getQ();

/**
 * Return the DSA parameter "g" for the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	parameter "g" for the receiver.
 *
 */
public BigInteger getG();

}
