
package java.security.interfaces;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This interface represents DSA private keys, as defined in NIST's FIPS-186.
 *
 * @author		OTI
 * @version		initial
 *
 * @see DSAKey
 * @see DSAPrivateKey
 * @see Key
 * @see Signature
 */

import java.security.*;
import java.math.BigInteger;
public abstract interface DSAPrivateKey extends DSAKey, PrivateKey {

	public static final long serialVersionUID = 7776497482533790279L;

/**
 * Return the value of the private key.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	the actual private key.
 *
 */
 public BigInteger getX();
}
