
package java.security.interfaces;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This interface represents DSA public keys, as defined in NIST's FIPS-186.
 *
 * @author		OTI
 * @version		initial
 *
 * @see DSAKey
 * @see DSAPrivateKey
 * @see Key
 * @see Signature
 */

import java.security.*;
import java.math.BigInteger;

public abstract interface DSAPublicKey extends DSAKey, PublicKey{

	public static final long serialVersionUID = 1234526332779022332L;

/**
 * Return the value of the public key.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	the actual public key.
 *
 */
 public BigInteger getY();
}
