package java.security.interfaces;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2001, 2004  All Rights Reserved
 */

import java.math.BigInteger;

/**
 * This interface represents RSA keys.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		RSAPublicKey
 * @see 	RSAPrivateKey
 */
public interface RSAKey {

/**
 * Return the modulus for the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	the modulus for the receiver.
 *
 */
public BigInteger getModulus();
}
