
package java.security.interfaces;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This interface represents RSA private keys.
 *
 * @author		OTI
 * @version		initial
 *
 * @see RSAPrivateCrtKey
 * @see RSAPublicKey
 */

 import java.security.*;
 import java.math.BigInteger;

public interface RSAPrivateKey extends PrivateKey, RSAKey {

/**
 * Return the private exponent for the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	the private exponent for the receiver.
 *
 */
 public BigInteger getPrivateExponent();

}
