
package java.security.interfaces;
/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * This interface represents RSA public keys.
 *
 * @author		OTI
 * @version		initial
 *
 * @see RSAPrivateKey
 */

import java.security.*;
import java.math.BigInteger;

public interface RSAPublicKey extends PublicKey, RSAKey {

/**
 * Return the public exponent for the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		BigInteger	the public exponent for the receiver.
 *
 */
 public BigInteger getPublicExponent();

}
