
package java.security.spec;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2005  All Rights Reserved
 */

/**
 * This class represents encoded keys in the X.509 format
 *
 * @author		OTI
 * @version		initial
 */

public class X509EncodedKeySpec extends java.security.spec.EncodedKeySpec {

/**
 * Constructs a new instance of this class with its encoded representation.
 *
 * @author		OTI
 * @version		initial
 *
 * @param	p1	byte[]	Encoded representation of the key
 */
 public X509EncodedKeySpec(byte[] p1){
	super(p1);
}
/**
 * Return the encoded representation of the receiver.
 *
 * @author		OTI
 * @version		initial
 *
 * @return	byte[]	Encoded representation of the key
 */
public byte[] getEncoded() {
	return super.getEncoded();
}
/**
 * Return the name of the format in which the receiver is encoded.
 *
 * @author		OTI
 * @version		initial
 *
 * @return	String	name of the format in which the receiver is encoded.
 */
 public final String getFormat(){
	return "X.509";
}
}
