package java.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2004  All Rights Reserved
 */

/**
 * Comparator is used to compare two objects to determine their ordering
 * in respect to each other.
 *
 * @author		OTI
 * @version		initial
 */

public interface Comparator {
/**
 * Compare the two objects to determine
 * the relative ordering.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		object1	an Object to compare
 * @param		object2	an Object to compare
 * @return		an int < 0 if object1 is less than object2,
 *				0 if they are equal, and > 0 if object1 is greater
 *
 * @exception	ClassCastException when objects are not the correct type
 */
public int compare(Object object1, Object object2);
/**
 * Compares the argument to the receiver, and answers true
 * if they represent the <em>same</em> object using a class
 * specific comparison.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		object Object
 *					the object to compare with this object.
 * @return		boolean
 *					<code>true</code>
 *						if the object is the same as this object
 *					<code>false</code>
 *						if it is different from this object.
 * @see			Object#hashCode
 */
public boolean equals(Object object);
}
