
package java.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

/**
 * This runtime exception is thrown when a Collection is modified
 * and an existing iterator on the Collection is used to modify the
 * Collection as well.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		java.lang.RuntimeException
 */

public class ConcurrentModificationException extends RuntimeException {

	private static final long serialVersionUID = -3666751008965953603L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ConcurrentModificationException () {
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ConcurrentModificationException (String detailMessage) {
	super(detailMessage);
}

}
