/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2004, 2006  All Rights Reserved.
 */

package java.util;

/**
 * This abstract class provides a simple wrapper to types of EventListener.
 *
 * @author Tim Ellison
 */
public abstract class EventListenerProxy implements EventListener {

	private final EventListener listener;

	/**
	 * @param listener
	 */
	public EventListenerProxy(EventListener listener) {
		super();
		this.listener = listener;
	}

	public EventListener getListener() {
		return listener;
	}
}
