package java.util;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2002  All Rights Reserved
 */

/**
 * An Iterator is used to sequence over a collection of objects.
 *
 * @author		OTI
 * @version		initial
 */

public interface Iterator {
/**
 * Answers if there are more elements to iterate.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		true if there are more elements, false otherwise
 *
 * @see			#next
 */
public boolean hasNext();
/**
 * Answers the next object in the iteration.
 *
 * @author		OTI
 * @version		initial
 *
 * @return		the next object
 *
 * @exception	NoSuchElementException when there are no more elements
 *
 * @see			#hasNext
 */
public Object next();
/**
 * Removes the last object returned by <code>next</code> from the collection.
 *
 * @author		OTI
 * @version		initial
 *
 * @exception	UnsupportedOperationException when removing is not supported by
 *				the collection being iterated
 * @exception	IllegalStateException when <code>next</code> has not been called, or
 *				<code>remove</code> has already been called after the last call to <code>next</code>
 */
public void remove();
}
