
package java.util.zip;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 1998, 2006  All Rights Reserved
 */

import java.io.IOException;

/**
 * This runtime exception is thrown by ZipFile and ZipInputStream
 * when the file or stream is not a valid zip file.
 *
 * @author		OTI
 * @version		initial
 *
 * @see		ZipFile
 * @see		ZipInputStream
 */
public class ZipException extends IOException {

	private static final long serialVersionUID = 8000196834066748623L;

/**
 * Constructs a new instance of this class with its
 * walkback filled in.
 *
 * @author		OTI
 * @version		initial
 */
public ZipException () {
	super();
}

/**
 * Constructs a new instance of this class with its
 * walkback and message filled in.
 *
 * @author		OTI
 * @version		initial
 *
 * @param		detailMessage String
 *				The detail message for the exception.
 */
public ZipException (String detailMessage) {
	super(detailMessage);
}

}
