package javax.microedition.xlet.ixc;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2003, 2005  All Rights Reserved
 */

import java.rmi.RemoteException;

/**
 * This exception is thrown when a remote object stub can not be generated for
 * inter-xlet communication (IXC).
 *
 * @author      IBM
 * @version		initial
 *
 * @see	IxcRegistry
 */
public class StubException extends RemoteException {

	/**
	 * Constructs a new instance of this class with its
	 * walkback filled in.
	 *
	 * @author      IBM
	 * @version		initial
	 */
	public StubException() {
		super();
	}

	/**
	 * Constructs a new instance of this class with its
	 * walkback and message filled in.
	 *
	 * @author      IBM
	 * @version		initial
	 *
	 * @param		detailMessage String
	 *				The detail message for the exception.
	 */
	public StubException(String detailMessage) {
		super(detailMessage);
	}

	/**
	 * Constructs a new instance of this class with its
	 * walkback, message and nested exception filled in.
	 *
	 * @author      IBM
	 * @version		initial
	 *
	 * @param		detailMessage String
	 *				The detail message for the exception.
	 * @param		nestedException Throwable
	 *				The exception being wrapped by this new instance.
	 */
	public StubException(String detailMessage, Throwable nestedException) {
		super(detailMessage, nestedException);
	}
}
