package org.ubicollab.app.spacemgrapp.views;


import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.events.MouseListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.part.*;
import org.ubicollab.app.spacemgrapp.Activator;
import org.ubicollab.core.sm.model.ISpaceManager;
import org.ubicollab.core.sm.model.Space;

import com.twitterapime.rest.Credential;
import com.twitterapime.rest.TweetER;
import com.twitterapime.rest.UserAccountManager;
import com.twitterapime.search.Tweet;

public class SampleView extends ViewPart {
	public ISpaceManager spaceMgr = null;
	public SampleView() {
		if( Activator.spaceMgr != null ){
			spaceMgr = Activator.spaceMgr;
		}
	}

	public void createPartControl(Composite parent) {		
		parent.setLayout(new GridLayout(1, true));
				
		Label myLabel = new Label(parent, SWT.CENTER);
		myLabel.setText("Play with Space Manager");
		myLabel.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		
		final Label lblSpaceName = new Label(parent, SWT.BORDER|SWT.CENTER);
		lblSpaceName.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		
		Button b = new Button(parent, SWT.BORDER | SWT.PUSH);
		b.setText("Set Space");		
		b.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		b.addMouseListener(new MouseListener() {				
			public void mouseUp(MouseEvent arg0) {
			}

			public void mouseDown(MouseEvent arg0) {
				if( spaceMgr != null ){
					Space p = spaceMgr.SetSpace();
					if( p != null ){
						lblSpaceName.setText(p.getName());
						try {
							//Twitter twitter = new Twitter("enggwaqas","abc124");
							//System.out.println(twitter.getStatus("winterstein"));
							//twitter.setStatus("Ubicollab @ In space: " + p.getName());
							String DATE_FORMAT = "yyyy-mm-dd hh:mm:ss";
						    SimpleDateFormat sdf =
						          new SimpleDateFormat(DATE_FORMAT);
						    Calendar c1 = Calendar.getInstance();
							
						    Credential c = new Credential("enggwaqas", "abc124"); 
						    UserAccountManager m = UserAccountManager.getInstance(c);
						    if (m.verifyCredential()) {
						    	String status = "Ubicollab @ In Space: " + p.getName() +
										" : Updated at:" + sdf.format(c1.getTime());
						    	
						    	Tweet t = new Tweet(status);
						    	TweetER ter = TweetER.getInstance(m); 
						    	t = ter.post(t); 
						    }
							//Twitter t = new Twitter("enggwaqas", "abc124");							
							//t.updateStatus("Ubicollab @ In Space: " + p.getName() +
							//		" : Updated at:" + sdf.format(c1.getTime()));

							
						} catch (Exception e){
							System.out.println("Unable to update twitter status: " + 
									e.getMessage());
						}
					}
				}
			}
			
			public void mouseDoubleClick(MouseEvent arg0) {

			}
		});
	}

	public void setFocus() {
	}
}