package org.ubicollab.core.sm.model;

import java.sql.ResultSet;
import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.ubicollab.core.spacedb.DBHelper;

/**
 * The activator class controls the plug-in life cycle
 */
public class Activator extends AbstractUIPlugin {

	public static DBHelper dbHelper = null;
	public static BundleContext context = null;
	
	// The plug-in ID
	public static final String PLUGIN_ID = "org.ubicollab.core.sm";

	// The shared instance
	private static Activator plugin;
	
	public Activator() {
	}

	public void start(BundleContext context) throws Exception {	
		this.context = context;
		
		//Get the reference to Space database helper service
		ServiceReference dbServiceRef = context.getServiceReference(DBHelper.class.getName());
		if( dbServiceRef != null ){
			dbHelper = (DBHelper) context.getService(dbServiceRef);
		}
		
		context.registerService(ISpaceManager.class.getName(), new SpaceManagerImpl(), null);
		System.out.println("Space Manager has started");
		
		try {
			String DATE_FORMAT = "yyyy-mm-dd hh:mm:ss";
		    SimpleDateFormat sdf =
		          new SimpleDateFormat(DATE_FORMAT);
		    Calendar c1 = Calendar.getInstance();
		    
		    System.out.println(sdf.format(c1.getTime()));
		    
			dbHelper.Open();
			
			//String strUpdate = "CREATE TABLE CurrentSpace(SpaceId int, UpdatedDate TIMESTAMP);";
			//System.out.println(dbHelper.ExecuteUpdate(strUpdate));
			
			String sql = "SELECT s.*, sr.Reading FROM Sensor s INNER JOIN SensorReading sr ON s.SensorId = sr.SensorId WHERE SpaceId = 1";
			ResultSet rs1 = dbHelper.ExecuteResultSet(sql);
			while( rs1.next() ){
				System.out.println(rs1.getString("UniqueIdentifier") + " - " + 
						rs1.getString("HumanReadableName") + " - " + rs1.getInt("Reading"));
			}
			
			System.out.println("-----Space---------");	
			String strSql = "SELECT * FROM Space";
			ResultSet rs = dbHelper.ExecuteResultSet(strSql);
			while( rs.next() ){
				System.out.println(rs.getLong("Id") + " - " + rs.getString("Name"));
			}
			
			System.out.println("-----Sensor---------");
			strSql = "SELECT * FROM Sensor";
			rs = dbHelper.ExecuteResultSet(strSql);
			while( rs.next() ){
				System.out.println(rs.getLong("SensorId") + " - " + rs.getString("SensorType") + 
						" - " + rs.getString("UniqueIdentifier") + " - " + rs.getString("HumanReadableName"));
			}
			
			System.out.println("-----SensorReading---------");
			strSql = "SELECT * FROM SensorReading";
			rs = dbHelper.ExecuteResultSet(strSql);
			while( rs.next() ){
				System.out.println(rs.getLong("ReadingId") + " - " + rs.getLong("SpaceId") + 
						" - " + rs.getLong("SensorId") + " - " + rs.getString("Reading"));
			}
			dbHelper.Close();
		} catch (Exception e){
			System.out.println(e.getMessage());
		}
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}

	/**
	 * Returns an image descriptor for the image file at the given
	 * plug-in relative path
	 *
	 * @param path the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromPlugin(PLUGIN_ID, path);
	}
}
