package org.ubicollab.core.sm.views;


import java.util.ArrayList;

import org.eclipse.ercp.swt.mobile.ListBox;
import org.eclipse.ercp.swt.mobile.ListBoxItem;
import org.eclipse.ercp.swt.mobile.MobileDevice;
import org.eclipse.ercp.swt.mobile.Screen;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.FormAttachment;
import org.eclipse.swt.layout.FormData;
import org.eclipse.swt.layout.FormLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.layout.RowData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.part.*;
import org.osgi.framework.BundleContext;
import org.osgi.framework.InvalidSyntaxException;
import org.osgi.framework.ServiceReference;
import org.ubicollab.core.lm.model.*;
import org.ubicollab.core.sm.model.Activator;
import org.ubicollab.core.sm.model.Space;
import org.ubicollab.core.sm.model.SpaceManagerImpl;
import org.ubicollab.core.uitoolkit.defaultTheme.MouseAdapter;
import org.ubicollab.core.uitoolkit.defaultTheme.UCBody;
import org.ubicollab.core.uitoolkit.defaultTheme.UCButton;
import org.ubicollab.core.uitoolkit.defaultTheme.UCComposite;
import org.ubicollab.core.uitoolkit.defaultTheme.UCFoot;
import org.ubicollab.core.uitoolkit.defaultTheme.UCHeader;
import org.ubicollab.core.uitoolkit.defaultTheme.UCLabel;
import org.ubicollab.core.uitoolkit.defaultTheme.UIC;




public class NormalView extends ViewPart {
	public static final String ID = "org.ubicollab.core.sm.views.NormalView";

	private BundleContext context = null;
	private SpaceManagerImpl spaceMgr = new SpaceManagerImpl();
	
	private Composite _parent = null;
	private UCHeader _ucHeader = null;
	private UCFoot _ucFooter = null;
	private UCBody _ucBody = null;
	private UCLabel _mainTitle = null;	
	private UCComposite _footBar = null;
	
	private UCComposite _mainScreen = null;	
	
	
	//Create new space GUI controls and data
	private UCComposite _createSpace = null;
	private Text txtNewSpaceName = null;
	private Text txtNewSpaceDesc = null;
	private UCButton chkShareable = null;
	private Combo cmbParentSpace = null; 
	ISensorReading[] currentSensorReading = null;
	
	//Download Space GUI
	private String downloadUrl = "";
	
	public NormalView() {
		this.context = Activator.context;
	}

	public void createPartControl(Composite parent) {
		_parent = parent;
		
		FormLayout main_layout = new FormLayout(); 
		parent.setLayout(main_layout);				
		
		_ucHeader = new UCHeader(parent);		
		_ucHeader.setLayout(null);
		
		_mainTitle = new UCLabel(_ucHeader, SWT.NONE);
		_mainTitle.setText("Space Manager");		
		_mainTitle.setAlignment(SWT.CENTER);
		
		FormData layout_body = new FormData();
		layout_body.top = new FormAttachment(10);
		layout_body.bottom = new FormAttachment(100);
		layout_body.left = new FormAttachment(0);
		layout_body.right = new FormAttachment(100);
		
		_ucBody = new UCBody(parent, layout_body);
		_ucBody.setLayout(null);			
		
		//Main screen of Ubicollab
		_mainScreen = new UCComposite(_ucBody);
		_mainScreen.setLayout(new GridLayout(1, true));
				
		UCButton btnSetSpace = new UCButton(_mainScreen);
		btnSetSpace.setText("Set current space");
		btnSetSpace.setAlignment(SWT.CENTER);
		btnSetSpace.setLayoutData(new GridData(GridData.FILL_BOTH));
		
		btnSetSpace.addMouseListener(new MouseAdapter() {
			public void mouseUp(MouseEvent e) {
				ArrayList spacesFound = new ArrayList();
				
				try{										
					ServiceReference[] sRefs = context.getServiceReferences(
							ISensor.class.getName(), null);
					
					if( sRefs != null ){
						for( int i=0; i<sRefs.length; i++){
							ISensor sensor = (ISensor) context.getService(sRefs[i]);
							if( sensor != null && sensor instanceof IObservableSensor ){
								currentSensorReading = sensor.Read();
								//for(int j=0; j<currentSensorReading.length; j++){
								//	System.out.println(currentSensorReading[j].getHumanReadableName());
								//}
								Space sp = spaceMgr.GetSpace(currentSensorReading);
								if( sp != null )
									spacesFound.add(sp);								
							}
						}
					}
				} catch (Exception ex){
					System.out.println(ex.getMessage());
				}
				
				if( spacesFound.size() > 0 ){
					if( spacesFound.size() == 1){
						Space foundSp = (Space) spacesFound.get(0);
						//_mainTitle.setText(foundSp.getXML());
						System.out.println(foundSp.getXML());
						_mainTitle.setText("Current space: " + foundSp.getName());
						_mainTitle.setAlignment(SWT.LEFT);
						
						UCComposite compSpaceSet = new UCComposite(_ucBody);

						compSpaceSet.setLayout(new GridLayout(1, true));
						
						UCLabel lbl1 = new UCLabel(compSpaceSet);
						lbl1.setText("Space has been set:");
						lbl1.setLayoutData(new GridData(SWT.FILL));
						lbl1.setAlignment(SWT.LEFT);
						
						Text txt1 = new Text(compSpaceSet, SWT.BORDER | SWT.READ_ONLY);
						txt1.setText(foundSp.getName());
						txt1.setLayoutData(new GridData(GridData.FILL_BOTH));																
						
						UCButton btn1 = new UCButton(compSpaceSet);
						btn1.setText("Back to Space Manager");
						btn1.setLayoutData(new GridData(GridData.FILL_BOTH));
						btn1.addMouseListener(new MouseAdapter() {						
							public void mouseUp(MouseEvent e) {
								_mainScreen.moveAbove(null);
							}
						});
						
						
						UCButton btn2 = new UCButton(compSpaceSet);
						btn2.setText("Back to Applications");
						btn2.setLayoutData(new GridData(GridData.FILL_BOTH));
						
						compSpaceSet.setSize(_ucBody.getSize());
						compSpaceSet.moveAbove(null);
					}
				} else {
					_mainTitle.setText("Space Manager");
					_mainTitle.setAlignment(SWT.LEFT);
					
					UCComposite compSpaceSet = new UCComposite(_ucBody);

					compSpaceSet.setLayout(new GridLayout(1, true));
					
					UCLabel lbl1 = new UCLabel(compSpaceSet);
					lbl1.setText("Space has been set:");
					lbl1.setLayoutData(new GridData(SWT.FILL));
					lbl1.setAlignment(SWT.LEFT);
					
					Text txt1 = new Text(compSpaceSet, SWT.BORDER | SWT.READ_ONLY);
					txt1.setText("No space found");
					txt1.setLayoutData(new GridData(GridData.FILL_BOTH));																
					
					UCButton btn0 = new UCButton(compSpaceSet);
					btn0.setText("Retry");
					btn0.setLayoutData(new GridData(GridData.FILL_BOTH));
					
					UCButton btn1 = new UCButton(compSpaceSet);
					btn1.setText("Back to Space Manager");
					btn1.setLayoutData(new GridData(GridData.FILL_BOTH));
					btn1.addMouseListener(new MouseAdapter() {						
						public void mouseUp(MouseEvent e) {
							_mainScreen.moveAbove(null);
						}
					});
					
					UCButton btn2 = new UCButton(compSpaceSet);
					btn2.setText("Back to Applications");
					btn2.setLayoutData(new GridData(GridData.FILL_BOTH));
					
					compSpaceSet.setSize(_ucBody.getSize());
					compSpaceSet.moveAbove(null);
				}
			}
		});
		
		UCButton btnManagerSpace = new UCButton(_mainScreen);
		btnManagerSpace.setText("Manage spaces");
		btnManagerSpace.setAlignment(SWT.CENTER);
		btnManagerSpace.setLayoutData(new GridData(GridData.FILL_BOTH));
		
		UCButton btnCreateNewSpace = new UCButton(_mainScreen);
		btnCreateNewSpace.setText("Create new space");
		btnCreateNewSpace.setAlignment(SWT.CENTER);
		btnCreateNewSpace.setLayoutData(new GridData(GridData.FILL_BOTH));
		btnCreateNewSpace.addMouseListener(new MouseAdapter() {
			public void mouseUp(MouseEvent arg0) {
				_createSpace.moveAbove(null);
			}
		});		
		
		
		UCButton btnDownloadSpace = new UCButton(_mainScreen);
		btnDownloadSpace.setText("Download space");
		btnDownloadSpace.setAlignment(SWT.CENTER);
		btnDownloadSpace.setLayoutData(new GridData(GridData.FILL_BOTH));
		btnDownloadSpace.addMouseListener(new MouseAdapter() {
			public void mouseUp(MouseEvent e) {
				UCComposite downloadComp = new UCComposite(_ucBody);
				downloadComp.setLayout(new GridLayout(1, true));				
				
				UCLabel lbl1 = new UCLabel(downloadComp);
				lbl1.setText("Enter URL to Space XML:");
				lbl1.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
				
				GridData data = new GridData(GridData.FILL_HORIZONTAL);
				data.heightHint = 25;
				
				final Text txtUrl = new Text(downloadComp, SWT.BORDER);
				txtUrl.setText("http://");
				txtUrl.setLayoutData(data);
				
				UCButton btnDownloadUrl = new UCButton(downloadComp);
				btnDownloadUrl.setText("Download");
				btnDownloadUrl.setLayoutData(data);
				btnDownloadUrl.addMouseListener(new MouseAdapter() {
					public void mouseUp(MouseEvent e) {								
						UCComposite downloadComp = new UCComposite(_ucBody);
						downloadComp.setLayout(new GridLayout(1, true));
						
						Space dSpace = spaceMgr.DownloadSpace(txtUrl.getText());
						if( dSpace != null ){												
							UCLabel lbl1 = new UCLabel(downloadComp);
							lbl1.setText("Downloaded Space:");
							GridData data = new GridData(GridData.FILL_HORIZONTAL);
							data.verticalSpan = 5;
							lbl1.setLayoutData(data);
							
							Label lbl2 = new Label(downloadComp, SWT.SINGLE);
							lbl2.setText("Name: " + dSpace.getName());
							lbl2.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
							
							Label lbl3 = new Label(downloadComp, SWT.SINGLE);
							lbl3.setText("Description: " + dSpace.getDescription());
							lbl3.setLayoutData(data);							
						}
						
						UCButton btn1 = new UCButton(downloadComp);
						btn1.setText("Back to Space Manager");
						btn1.setLayoutData(new GridData(GridData.FILL_BOTH));
						btn1.addMouseListener(new MouseAdapter() {						
							public void mouseUp(MouseEvent e) {
								_mainScreen.moveAbove(null);
							}
						});
						
						UCButton btn2 = new UCButton(downloadComp);
						btn2.setText("Back to Applications");
						btn2.setLayoutData(new GridData(GridData.FILL_BOTH));
						
						downloadComp.setSize(_ucBody.getSize());
						downloadComp.moveAbove(null);
					}
				});
				
				UCButton btnCancelDownload = new UCButton(downloadComp);
				btnCancelDownload.setText("Cancel");
				btnCancelDownload.setLayoutData(data);
				btnCancelDownload.addMouseListener(new MouseAdapter() {				
					public void mouseUp(MouseEvent e) {
						_mainScreen.moveAbove(null);
					}
				});
				
				downloadComp.setSize(_ucBody.getSize());
				downloadComp.moveAbove(null);				
			}
		});
		
		//Create new space GUI
		_createSpace = new UCComposite(_ucBody);
		_createSpace.setLayout(new GridLayout(3, false));
		
		UCLabel lblNewSpaceName = new UCLabel(_createSpace);
		lblNewSpaceName.setLayoutData(new GridData(GridData.FILL));
		lblNewSpaceName.setText("Space name");
		
		UCLabel l1 = new UCLabel(_createSpace);
		l1.setText(":");
		
		txtNewSpaceName = new Text(_createSpace, SWT.SINGLE | SWT.BORDER);
		txtNewSpaceName.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		txtNewSpaceName.setSize(_createSpace.getSize());
		
		UCLabel lblNewSpaceDesc = new UCLabel(_createSpace);
		lblNewSpaceDesc.setLayoutData(new GridData(GridData.FILL));
		lblNewSpaceDesc.setText("Description");
		
		UCLabel l2 = new UCLabel(_createSpace);
		l2.setText(":");
		
		txtNewSpaceDesc = new Text(_createSpace, SWT.MULTI | SWT.BORDER | SWT.WRAP | SWT.V_SCROLL);
		txtNewSpaceDesc.setLayoutData(new GridData(GridData.FILL_BOTH));
		txtNewSpaceDesc.setSize(_createSpace.getSize());
		
		UCLabel lblNewParentSpace = new UCLabel(_createSpace);
		lblNewParentSpace.setLayoutData(new GridData(GridData.FILL));
		lblNewParentSpace.setText("Parent Space");
		
		UCLabel l3 = new UCLabel(_createSpace);
		l3.setText(":");
		
		cmbParentSpace = new Combo(_createSpace, SWT.READ_ONLY);		
		Space[] spaces = spaceMgr.GetUserSpace();
		String[] spaceName = new String[spaces.length];
		for(int i=0; i<spaces.length; i++){
			spaceName[i] = spaces[i].getName();
		}
		cmbParentSpace.setItems(spaceName);		
		cmbParentSpace.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
	    
		
		//UCLabel lblNewShareable = new UCLabel(_createSpace);
		//lblNewShareable.setLayoutData(new GridData(GridData.FILL));
		//lblNewShareable.setText("Shareable:");
		
		//UCLabel l4 = new UCLabel(_createSpace);
		//l4.setText(":");
		
		//chkShareable = new UCButton(_createSpace, SWT.CHECK);
		
		UCLabel l5 = new UCLabel(_createSpace);
		l5.setText("");
		
		UCLabel l6 = new UCLabel(_createSpace);
		l6.setText("");
		
		UCButton btnPositionMe = new UCButton(_createSpace);
		btnPositionMe.setText("Position Me");
		btnPositionMe.addMouseListener(new MouseAdapter() {					
			public void mouseUp(MouseEvent e) {								
				UCComposite positioningComp = new UCComposite(_ucBody);							
				positioningComp.setLayout(new GridLayout(2, true));
				positioningComp.moveAbove(null);
				_mainTitle.setText("Positioning you...");		        		     
				
				UCLabel lblWait = new UCLabel(positioningComp, SWT.WRAP);
				lblWait.setText("Please wait...");
				lblWait.setAlignment(SWT.CENTER);
				
				GridData lblWaitData = new GridData();	
				lblWaitData.heightHint = 100;
				lblWaitData.horizontalSpan = 2;
				//lblWaitData.horizontalAlignment = GridData.FILL;
				
				lblWait.setLayoutData(lblWaitData);
				
				
				UCButton btnContinue = new UCButton(positioningComp);								
				btnContinue.setText("Continue");				
				
				GridData btnContinueData = new GridData();
				//btnContinueData.verticalAlignment = GridData.FILL;
				btnContinueData.horizontalAlignment = GridData.FILL_HORIZONTAL;
				//btnContinueData.grabExcessHorizontalSpace = false;
				//btnContinueData.grabExcessVerticalSpace = true;
				btnContinue.setLayoutData(btnContinueData);
				
				UCButton btnRetry = new UCButton(positioningComp);				
				btnRetry.setText("Retry");						
				
				GridData btnRetryData = new GridData();
				//btnRetryData.verticalAlignment = GridData.FILL;
				btnRetryData.horizontalAlignment = GridData.FILL_HORIZONTAL;
				//btnRetryData.grabExcessHorizontalSpace = false;
				//btnRetryData.grabExcessVerticalSpace = true;
				btnRetry.setLayoutData(btnRetryData);
				
				boolean bRead = false; 
				
				try {
					ServiceReference[] sRefs = context.getServiceReferences(
							ISensor.class.getName(), null);
					
					if( sRefs != null ){
						for( int i=0; i<sRefs.length; i++){
							ISensor sensor = (ISensor) context.getService(sRefs[i]);
							if( sensor != null && sensor instanceof IObservableSensor ){
								currentSensorReading = sensor.Read();
								bRead = true;
								break;
							}
						}
					}
					
					if( bRead ){
						lblWait.setText("Positioning success");						
					} else {
						lblWait.setText("Positioning failed");
						lblWait.setAlignment(SWT.CENTER);
					}
				} catch (InvalidSyntaxException ex) {
					ex.printStackTrace();
				}
				
				btnContinue.addMouseListener(new MouseAdapter() {									
					public void mouseUp(MouseEvent e) {						
						_createSpace.moveAbove(null);						
					}
				});
				
				positioningComp.setSize(_ucBody.getSize());
			}
		});
		
		UCButton btnCreateSpace = new UCButton(_createSpace);
		btnCreateSpace.setText("Create");
		btnCreateSpace.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		btnCreateSpace.addMouseListener(new MouseAdapter() {
			public void mouseUp(MouseEvent e) {
				
				spaceMgr.CreateSpace(txtNewSpaceName.getText(), 
						txtNewSpaceDesc.getText(), 
						"", true, 
						-1, currentSensorReading);
				
				currentSensorReading = null;
				//spaceMgr.GetUserSpace();
			}
		});
		
		
		UCLabel l7 = new UCLabel(_createSpace);
		l7.setText("");
		
		UCButton btnCancelCreate = new UCButton(_createSpace);
		btnCancelCreate.setText("Cancel");		
		btnCancelCreate.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		btnCancelCreate.addMouseListener(new MouseAdapter() {
			public void mouseUp(MouseEvent e) {
				txtNewSpaceDesc.setText("");
				txtNewSpaceName.setText("");
				_mainScreen.moveAbove(null);
			}
		});
		
		//_ucFooter = new UCFoot(parent); 
		//_ucFooter.setLayout(main_layout);	
		
		//generateToolbar(_ucFooter);
	}
	
	private void generateToolbar(Composite father)
	{
		GridLayout layout = new GridLayout();
		layout.numColumns = 3;
		
		_footBar = new UCComposite(father,SWT.NONE);
		_footBar.setLayout(layout);
        
		UCButton btnBack = new UCButton(_footBar);  
		GridData gridData = new GridData(GridData.FILL_HORIZONTAL);
		gridData.horizontalAlignment = GridData.FILL;
		gridData.grabExcessHorizontalSpace = true;
		btnBack.setLayoutData(gridData);
        btnBack.setText("Back");
        
        UCLabel l = new UCLabel(_footBar);
        l.setText("");
        
        UCButton btn_settings = new UCButton(_footBar); 
        btn_settings.setLayoutData(gridData);
        btn_settings.setText("Settings");
        
        _footBar.setSize(200, 2001);
	}

	public void setFocus() {		
		_mainTitle.setSize(_ucHeader.getSize());
		_createSpace.setSize(_ucBody.getSize());
		_mainScreen.setSize(_ucBody.getSize());		
	}
}