package org.ubicollab.core.spacedb;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import org.hsqldb.jdbcDataSource;

public class DBHelper {
	private String _dbURL = null;
	private String _dbUserName = null;
	private String _dbPassword = null;
	private jdbcDataSource _dataSource = null;
	private Connection _Conn = null;
	
	public DBHelper() throws Exception{		
		_dbURL = "jdbc:hsqldb:file:/spacedb;shutdown=true;sql.enforce_strict_size=true";
		_dbUserName = "root";
		_dbPassword = "root";
		
		_dataSource = new jdbcDataSource();		
	}
	
	public void Open() throws Exception {
		_Conn = _dataSource.getConnection(_dbURL);

		_Conn.setAutoCommit(true);
	}
	
	public void Close() throws Exception {
		_Conn.close();
	}
	
	public Object ExecuteScalar(String SqlStmt) throws Exception {
		Statement stmt = this._Conn.createStatement();
		ResultSet rs = stmt.executeQuery(SqlStmt);
		
		Object returnVal = null;
		
		if(rs.next()){
			returnVal = rs.getObject(1);
		}
		
		return returnVal;		
	}
	
	public int ExecuteUpdate(String SqlStmt) throws Exception {
		Statement stmt = _Conn.createStatement();
		int iRows = stmt.executeUpdate(SqlStmt);		
			
		stmt.close();
		
		return iRows;
	}
	
	public ResultSet ExecuteResultSet(String SqlStmt) throws Exception {
		Statement stmt = _Conn.createStatement();
		return stmt.executeQuery(SqlStmt);
	}
}
