package org.ubicollab.lm.sensor.wifi.model;

import java.util.Properties;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.ubicollab.core.lm.model.IObservableSensor;
import org.ubicollab.core.lm.model.ISensor;
import org.ubicollab.core.lm.model.SensorType;

public class Activator implements BundleActivator {
	public void start(BundleContext context) throws Exception {
		IObservableSensor sensor = new WifiReader();
		
		Properties props = new Properties();
		props.put(ISensor.Sensor_Type, SensorType.WiFi);
		
		context.registerService(ISensor.class.getName(), sensor, props);
		
		System.out.println(SensorType.WiFi + " plugin has started");
		
		WifiReading[] r = (WifiReading[]) sensor.Read();
		for(int i=0; i<r.length; i++){
			System.out.println(r[i].getHumanReadableName());
		}
	}
	
	public void stop(BundleContext context) throws Exception {
		String filter = "(&(sensorType=" + SensorType.WiFi + "))";
		ServiceReference[] refs = context.getServiceReferences(ISensor.class.getName(), filter);
		if( refs != null ){
			for(int i=0; i<refs.length; i++){				
				WifiReader wifiReader = (WifiReader) context.getService(refs[i]);
				if( wifiReader != null ){
					context.ungetService(refs[i]);					
				}
			}
		}		
	}
}
