package org.ubicollab.lm.sensor.wifi.model;

import java.util.Arrays;
import java.util.Date;

import org.placelab.spotter.WiFiSpotter;
import org.ubicollab.core.lm.model.IObservableSensor;
import org.ubicollab.core.lm.model.ISensorReading;
import org.ubicollab.core.lm.model.SensorType;

public class WifiReader implements IObservableSensor {
	public WifiReading[] GetCurrentReadings(){
		WifiReading[] readings = null;
		
		try {
			WiFiSpotter spotter = new WiFiSpotter();
			spotter.open();
			readings = spotter.getMeasurementImpl();
			spotter.close();
		} catch (Exception e) {
			System.out.println(e.getMessage());
		}
		
		return readings;
	}
	
	public WifiReading[] GetCurrentFingerPrint(){
		WifiReading[] fpReadings = new WifiReading[3];
		
		try {
			WiFiSpotter spotter = new WiFiSpotter();
			spotter.open();
			WifiReading[] readings = spotter.getMeasurementImpl();
			
			if( readings != null ){
				Arrays.sort(readings, new WifiReadingComparator());
				int apReadingsNeeded = 3;
				
				if( readings.length < apReadingsNeeded)
	        		apReadingsNeeded = readings.length;
	        	
	        	for(int i=0; i < apReadingsNeeded; i++){
	        		fpReadings[i] = readings[i];
	        	}
			}
			
			spotter.close();
		} catch (Exception e) {
			System.out.println(e.getMessage());
		}
		
		return fpReadings;
	}
	
	public String GetType() {
		return SensorType.WiFi;
	}
	
	public ISensorReading[] Read() {
		ISensorReading[] sr = new WifiReading[3];
		sr[0] = new WifiReading("linksys", "01:1e:e5:64:f1:15", -36);
		sr[1] = new WifiReading("ntnu", "01:0b:85:89:b9:fd", -62);
		sr[2] = new WifiReading("ntnuguest", "01:0b:85:89:b9:ff", -62);
		
		//sr[0] = new WifiReading("linksys", "00:1e:e5:64:f1:15", -52);
		//sr[1] = new WifiReading("ntnu", "00:0b:85:89:a6:cf", -67);
		//sr[2] = new WifiReading("ntnuguest", "00:0b:85:89:c7:7e", -72);
		
		//aps[0] = new AccessPoint("linksys", "00:1e:e5:64:f1:15", -52);
		//aps[1] = new AccessPoint("ntnu", "00:0b:85:89:a6:cf", -67);
		//aps[2] = new AccessPoint("ntnuguest", "00:0b:85:89:c7:7e", -72);
		
		
		return sr;
		//return GetCurrentFingerPrint();
	}

	public Date TimeStamp() {
		return new Date();
	}
}
